﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics.Contracts;

namespace ShredTheLog.Api
{
    public static class TextChatHelper
    {
        public static string FormatPrivateRoomName(IUserInfo caller, IUserInfo callee)
        {
            Contract.Requires(caller != null);
            Contract.Requires(callee != null);
            Contract.Ensures(Contract.Result<string>() != null);

            return String.Format("{0:d}-{1:d}", caller.Uid, callee.Uid);
        }
    }
}
