﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using ShredTheLog.Api.DataContracts;

namespace ShredTheLog.Model
{
    [XmlRoot("LoginData")]
    public sealed class LoginData
    {
        [XmlElement("U")]
        public SessionCredentials Credentials { get; set; }

        [XmlElement("Failure")]
        public object UserNameOrPasswordIsIncorrect { get; set; }

        [XmlElement("FullBan")]
        public object UserHasBeenBanned { get; set; }

        [XmlElement("Deleted")]
        public object UserHasBeenDeleted { get; set; }
    }
}
