﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;
using ShredTheLog.Api;
using ShredTheLog.Api.DataContracts;
using System.Diagnostics.Contracts;

namespace ShredTheLog.Controls
{
    internal sealed class InvertingComparer : IComparer
    {
        private IComparer _source;
        public InvertingComparer(IComparer source)
        {
            Contract.Requires(source != null);

            _source = source;
        }
        public int Compare(object x, object y)
        {
            return _source.Compare(y, x);
        }
    }
}
