﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Documents;

namespace ShredTheLog.Controls
{
    public sealed class TranslationRun : Run
    {
        public TranslationRun() : base() { }
        public TranslationRun(string text) : base(text) { }
        public TranslationRun(string text, TextPointer insertionPosition) : base(text, insertionPosition) { }
    }

    public sealed class MessageTimeRun : Run
    {
        public MessageTimeRun() : base() { }
        public MessageTimeRun(string text) : base(text) { }
        public MessageTimeRun(string text, TextPointer insertionPosition) : base(text, insertionPosition) { }
    }
}
