﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using ShredTheLog.Api;
using System.ComponentModel.Composition;

namespace ShredTheLog.Converters
{
    [ValueConversion(typeof(object), typeof(IShowProfileCommand))]
    public sealed class ShowProfileCommandConverter : ConverterBase, IValueConverter
    {
        [Import]
        private IShowProfileCommand ShowProfileCommand { get; set; }

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return ShowProfileCommand;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotSupportedException();
        }

        public static readonly ShowProfileCommandConverter Default = new ShowProfileCommandConverter();
    }
}
