﻿using System.Collections.Generic;
using System.ComponentModel.Composition;

namespace ShredTheLog.Api
{
    public enum Language
    {
        Afrikaans = 32,
        Albanian = 53,
        Amharic = 61,
        Arabic = 10,
        ArabicEgyptian = 20,
        ArabicOther = 78,
        Armenian = 51,
        Assamese = 95,
        Azerbaijani = 87,
        Basque = 70,
        Belorussian = 94,
        Bengali = 44,
        Berber = 85,
        Bichelama = 97,
        Bosnian = 46,
        Breton = 96,
        Bulgarian = 45,
        Burmese = 67,
        Cambodian = 52,
        Catalan = 50,
        ChineseCantonese = 13,
        ChineseMandarin = 7,
        ChineseOther = 79,
        Corsican = 111,
        CreoleDutch = 76,
        CreoleEnglish = 73,
        CreoleFrench = 72,
        CreoleGerman = 74,
        CreolePortuguese = 77,
        CreoleSpanish = 75,
        Croatian = 41,
        Czech = 38,
        Danish = 35,
        Dutch = 15,
        English = 1,
        Esperanto = 63,
        Estonian = 69,
        Fijian = 86,
        Finnish = 30,
        French = 3,
        Galician = 90,
        Georgian = 82,
        German = 5,
        Greek = 19,
        Guarani = 98,
        Gujarati = 49,
        Hakka = 99,
        Hawaiian = 60,
        Hebrew = 29,
        Hindi = 12,
        Hungarian = 36,
        Icelandic = 47,
        Indonesian = 34,
        Irish = 33,
        Italian = 6,
        Japanese = 4,
        Javanese = 100,
        Kalaallisut = 112,
        Kannada = 48,
        Kazakh = 89,
        Korean = 11,
        Kurdish = 108,
        Kyrgyz = 101,
        Ladino = 102,
        Laotian = 109,
        Latin = 59,
        Latvian = 65,
        Lithuanian = 57,
        Luxembourgian = 103,
        Macedonian = 84,
        Malay = 28,
        Malayalam = 42,
        Maltese = 93,
        Manx = 104,
        Marathi = 54,
        Mongolian = 81,
        Nepali = 68,
        Norwegian = 26,
        Oriya = 88,
        Pashto = 113,
        PersianDari = 107,
        PersianFarsi = 21,
        Polish = 23,
        Portuguese = 9,
        Punjabi = 40,
        Quechua = 92,
        Romanian = 25,
        Russian = 8,
        Scottish = 58,
        Serbian = 31,
        Slovak = 56,
        Slovenian = 62,
        Somali = 91,
        Spanish = 2,
        Swahili = 43,
        Swedish = 18,
        Tagalog = 14,
        Tamil = 24,
        Telugu = 37,
        Thai = 22,
        Tibetan = 64,
        Turkish = 17,
        Turkmen = 105,
        Ukrainian = 55,
        Urdu = 16,
        Uyghur = 110,
        Uzbek = 71,
        Vietnamese = 27,
        Welsh = 83,
        Wolof = 106,
        Yiddish = 66
    }

    public enum Country
    {
        Afghanistan = 176,
        Albania = 228,
        Algeria = 162,
        Andorra = 274,
        Angola = 229,
        Argentina = 112,
        Armenia = 186,
        Aruba = 275,
        Australia = 105,
        Austria = 144,
        Azerbaijan = 204,
        Bahamas = 177,
        Bahrain = 172,
        Bangladesh = 167,
        Barbados = 184,
        Belarus = 199,
        Belgium = 120,
        Belize = 214,
        Benin = 230,
        Bermuda = 231,
        Bolivia = 191,
        BosniaHerzegovina = 168,
        Botswana = 232,
        Brazil = 113,
        Brunei = 233,
        Bulgaria = 157,
        BurkinaFaso = 234,
        BurmaMyanmar = 215,
        Burundi = 235,
        Cambodia = 207,
        Cameroon = 175,
        Canada = 102,
        CanaryIslands = 236,
        CaymanIslands = 218,
        CentralAfricanRepublic = 225,
        Chad = 268,
        Chile = 154,
        China = 109,
        Colombia = 143,
        Congo = 211,
        CostaRica = 173,
        Croatia = 138,
        Cuba = 210,
        Cyprus = 237,
        CzechRepublic = 161,
        Denmark = 150,
        Djibouti = 239,
        DominicanRepublic = 197,
        Ecuador = 183,
        Egypt = 131,
        ElSalvador = 200,
        EquatorialGuinea = 244,
        Estonia = 182,
        Ethiopia = 178,
        Finland = 140,
        France = 104,
        FrenchGuiana = 247,
        Gabon = 240,
        Gambia = 241,
        Georgia = 194,
        Germany = 108,
        Ghana = 148,
        Gibraltar = 242,
        Greece = 139,
        Guatemala = 208,
        Guinea = 243,
        GuineaBissau = 245,
        Guyana = 246,
        Haiti = 203,
        Honduras = 209,
        HongKong = 136,
        Hungary = 155,
        Iceland = 189,
        India = 103,
        Indonesia = 132,
        Iran = 114,
        Iraq = 181,
        Ireland = 129,
        Israel = 145,
        Italy = 111,
        IvoryCoast = 238,
        Jamaica = 169,
        Japan = 107,
        Jordan = 164,
        Kazakhstan = 216,
        Kenya = 156,
        Kuwait = 163,
        Kyrgyzstan = 248,
        Laos = 219,
        Latvia = 187,
        Lebanon = 159,
        Lesotho = 249,
        Liberia = 212,
        Libya = 250,
        Liechtenstein = 269,
        Lithuania = 170,
        Luxembourg = 201,
        Macedonia = 195,
        Madagascar = 251,
        Malawi = 217,
        Malaysia = 110,
        Maldives = 226,
        Mali = 252,
        Malta = 192,
        Mauritania = 253,
        Mauritius = 180,
        Mexico = 119,
        Moldova = 224,
        Monaco = 254,
        Mongolia = 255,
        Morocco = 149,
        Mozambique = 227,
        Namibia = 256,
        Nepal = 257,
        Netherlands = 124,
        NewCaledonia = 258,
        NewZealand = 125,
        Nicaragua = 222,
        Niger = 206,
        Nigeria = 147,
        NorthKorea = 223,
        Norway = 146,
        Oman = 190,
        Pakistan = 117,
        Panama = 188,
        PapuaNewGuinea = 260,
        Paraguay = 220,
        Peru = 142,
        Philippines = 116,
        Poland = 126,
        Portugal = 152,
        PuertoRico = 160,
        Qatar = 193,
        ReunionIsland = 261,
        Romania = 135,
        Russia = 123,
        Rwanda = 262,
        SaudiArabia = 134,
        Scotland = 130,
        Senegal = 263,
        SierraLeone = 264,
        Singapore = 118,
        Slovakia = 174,
        Slovenia = 165,
        Somalia = 213,
        SouthAfrica = 137,
        SouthKorea = 127,
        Spain = 106,
        SriLanka = 221,
        Sudan = 196,
        Surinam = 265,
        Swaziland = 266,
        Sweden = 133,
        Switzerland = 141,
        Syria = 171,
        Taiwan = 121,
        Tajikistan = 267,
        Tanzania = 166,
        Thailand = 122,
        Togo = 270,
        Tunisia = 179,
        Turkey = 115,
        Turkmenistan = 271,
        Uganda = 259,
        Ukraine = 202,
        UnitedArabEmirates = 128,
        UnitedKingdom = 101,
        UnitedStates = 100,
        Uruguay = 185,
        Uzbekistan = 205,
        Venezuela = 153,
        Vietnam = 151,
        Yemen = 272,
        Yugoslavia = 158,
        Zambia = 273,
        Zimbabwe = 198
    }

    public enum Gender
    {
        Male = 0,
        Female = 1
    }

    public enum YesNo
    {
        Yes = 0,
        No = 1
    }

    public static class enGeneratedLanguageData
    {
        public static readonly Dictionary<string, string> Strings = new Dictionary<string, string>
        {
            { "s_YesNo_Yes", "Yes" },
            { "s_YesNo_No", "No" },

            { "s_Gender_Male", "Male" },
            { "s_Gender_Female", "Female" },

            { "s_Country_Afghanistan", "Afghanistan" },
            { "s_Country_Albania", "Albania" },
            { "s_Country_Algeria", "Algeria" },
            { "s_Country_Andorra", "Andorra" },
            { "s_Country_Angola", "Angola" },
            { "s_Country_Argentina", "Argentina" },
            { "s_Country_Armenia", "Armenia" },
            { "s_Country_Aruba", "Aruba" },
            { "s_Country_Australia", "Australia" },
            { "s_Country_Austria", "Austria" },
            { "s_Country_Azerbaijan", "Azerbaijan" },
            { "s_Country_Bahamas", "Bahamas" },
            { "s_Country_Bahrain", "Bahrain" },
            { "s_Country_Bangladesh", "Bangladesh" },
            { "s_Country_Barbados", "Barbados" },
            { "s_Country_Belarus", "Belarus" },
            { "s_Country_Belgium", "Belgium" },
            { "s_Country_Belize", "Belize" },
            { "s_Country_Benin", "Benin" },
            { "s_Country_Bermuda", "Bermuda" },
            { "s_Country_Bolivia", "Bolivia" },
            { "s_Country_BosniaHerzegovina", "Bosnia-Herzegovina" },
            { "s_Country_Botswana", "Botswana" },
            { "s_Country_Brazil", "Brazil" },
            { "s_Country_Brunei", "Brunei" },
            { "s_Country_Bulgaria", "Bulgaria" },
            { "s_Country_BurkinaFaso", "Burkina Faso" },
            { "s_Country_BurmaMyanmar", "Burma (Myanmar)" },
            { "s_Country_Burundi", "Burundi" },
            { "s_Country_Cambodia", "Cambodia" },
            { "s_Country_Cameroon", "Cameroon" },
            { "s_Country_Canada", "Canada" },
            { "s_Country_CanaryIslands", "Canary Islands" },
            { "s_Country_CaymanIslands", "Cayman Islands" },
            { "s_Country_CentralAfricanRepublic", "Central African Republic" },
            { "s_Country_Chad", "Chad" },
            { "s_Country_Chile", "Chile" },
            { "s_Country_China", "China" },
            { "s_Country_Colombia", "Colombia" },
            { "s_Country_Congo", "Congo" },
            { "s_Country_CostaRica", "Costa Rica" },
            { "s_Country_Croatia", "Croatia" },
            { "s_Country_Cuba", "Cuba" },
            { "s_Country_Cyprus", "Cyprus" },
            { "s_Country_CzechRepublic", "Czech Republic" },
            { "s_Country_Denmark", "Denmark" },
            { "s_Country_Djibouti", "Djibouti" },
            { "s_Country_DominicanRepublic", "Dominican Republic" },
            { "s_Country_Ecuador", "Ecuador" },
            { "s_Country_Egypt", "Egypt" },
            { "s_Country_ElSalvador", "El Salvador" },
            { "s_Country_EquatorialGuinea", "Equatorial Guinea" },
            { "s_Country_Estonia", "Estonia" },
            { "s_Country_Ethiopia", "Ethiopia" },
            { "s_Country_Finland", "Finland" },
            { "s_Country_France", "France" },
            { "s_Country_FrenchGuiana", "French Guiana" },
            { "s_Country_Gabon", "Gabon" },
            { "s_Country_Gambia", "Gambia" },
            { "s_Country_Georgia", "Georgia" },
            { "s_Country_Germany", "Germany" },
            { "s_Country_Ghana", "Ghana" },
            { "s_Country_Gibraltar", "Gibraltar" },
            { "s_Country_Greece", "Greece" },
            { "s_Country_Guatemala", "Guatemala" },
            { "s_Country_Guinea", "Guinea" },
            { "s_Country_GuineaBissau", "Guinea-Bissau" },
            { "s_Country_Guyana", "Guyana" },
            { "s_Country_Haiti", "Haiti" },
            { "s_Country_Honduras", "Honduras" },
            { "s_Country_HongKong", "Hong Kong" },
            { "s_Country_Hungary", "Hungary" },
            { "s_Country_Iceland", "Iceland" },
            { "s_Country_India", "India" },
            { "s_Country_Indonesia", "Indonesia" },
            { "s_Country_Iran", "Iran" },
            { "s_Country_Iraq", "Iraq" },
            { "s_Country_Ireland", "Ireland" },
            { "s_Country_Israel", "Israel" },
            { "s_Country_Italy", "Italy" },
            { "s_Country_IvoryCoast", "Ivory Coast" },
            { "s_Country_Jamaica", "Jamaica" },
            { "s_Country_Japan", "Japan" },
            { "s_Country_Jordan", "Jordan" },
            { "s_Country_Kazakhstan", "Kazakhstan" },
            { "s_Country_Kenya", "Kenya" },
            { "s_Country_Kuwait", "Kuwait" },
            { "s_Country_Kyrgyzstan", "Kyrgyzstan" },
            { "s_Country_Laos", "Laos" },
            { "s_Country_Latvia", "Latvia" },
            { "s_Country_Lebanon", "Lebanon" },
            { "s_Country_Lesotho", "Lesotho" },
            { "s_Country_Liberia", "Liberia" },
            { "s_Country_Libya", "Libya" },
            { "s_Country_Liechtenstein", "Liechtenstein" },
            { "s_Country_Lithuania", "Lithuania" },
            { "s_Country_Luxembourg", "Luxembourg" },
            { "s_Country_Macedonia", "Macedonia" },
            { "s_Country_Madagascar", "Madagascar" },
            { "s_Country_Malawi", "Malawi" },
            { "s_Country_Malaysia", "Malaysia" },
            { "s_Country_Maldives", "Maldives" },
            { "s_Country_Mali", "Mali" },
            { "s_Country_Malta", "Malta" },
            { "s_Country_Mauritania", "Mauritania" },
            { "s_Country_Mauritius", "Mauritius" },
            { "s_Country_Mexico", "Mexico" },
            { "s_Country_Moldova", "Moldova" },
            { "s_Country_Monaco", "Monaco" },
            { "s_Country_Mongolia", "Mongolia" },
            { "s_Country_Morocco", "Morocco" },
            { "s_Country_Mozambique", "Mozambique" },
            { "s_Country_Namibia", "Namibia" },
            { "s_Country_Nepal", "Nepal" },
            { "s_Country_Netherlands", "Netherlands" },
            { "s_Country_NewCaledonia", "New Caledonia" },
            { "s_Country_NewZealand", "New Zealand" },
            { "s_Country_Nicaragua", "Nicaragua" },
            { "s_Country_Niger", "Niger" },
            { "s_Country_Nigeria", "Nigeria" },
            { "s_Country_NorthKorea", "North Korea" },
            { "s_Country_Norway", "Norway" },
            { "s_Country_Oman", "Oman" },
            { "s_Country_Pakistan", "Pakistan" },
            { "s_Country_Panama", "Panama" },
            { "s_Country_PapuaNewGuinea", "Papua New Guinea" },
            { "s_Country_Paraguay", "Paraguay" },
            { "s_Country_Peru", "Peru" },
            { "s_Country_Philippines", "Philippines" },
            { "s_Country_Poland", "Poland" },
            { "s_Country_Portugal", "Portugal" },
            { "s_Country_PuertoRico", "Puerto Rico" },
            { "s_Country_Qatar", "Qatar" },
            { "s_Country_ReunionIsland", "Reunion Island" },
            { "s_Country_Romania", "Romania" },
            { "s_Country_Russia", "Russia" },
            { "s_Country_Rwanda", "Rwanda" },
            { "s_Country_SaudiArabia", "Saudi Arabia" },
            { "s_Country_Scotland", "Scotland" },
            { "s_Country_Senegal", "Senegal" },
            { "s_Country_SierraLeone", "Sierra Leone" },
            { "s_Country_Singapore", "Singapore" },
            { "s_Country_Slovakia", "Slovakia" },
            { "s_Country_Slovenia", "Slovenia" },
            { "s_Country_Somalia", "Somalia" },
            { "s_Country_SouthAfrica", "South Africa" },
            { "s_Country_SouthKorea", "South Korea" },
            { "s_Country_Spain", "Spain" },
            { "s_Country_SriLanka", "Sri Lanka" },
            { "s_Country_Sudan", "Sudan" },
            { "s_Country_Surinam", "Surinam" },
            { "s_Country_Swaziland", "Swaziland" },
            { "s_Country_Sweden", "Sweden" },
            { "s_Country_Switzerland", "Switzerland" },
            { "s_Country_Syria", "Syria" },
            { "s_Country_Taiwan", "Taiwan" },
            { "s_Country_Tajikistan", "Tajikistan" },
            { "s_Country_Tanzania", "Tanzania" },
            { "s_Country_Thailand", "Thailand" },
            { "s_Country_Togo", "Togo" },
            { "s_Country_Tunisia", "Tunisia" },
            { "s_Country_Turkey", "Turkey" },
            { "s_Country_Turkmenistan", "Turkmenistan" },
            { "s_Country_Uganda", "Uganda" },
            { "s_Country_Ukraine", "Ukraine" },
            { "s_Country_UnitedArabEmirates", "United Arab Emirates" },
            { "s_Country_UnitedKingdom", "United Kingdom" },
            { "s_Country_UnitedStates", "United States" },
            { "s_Country_Uruguay", "Uruguay" },
            { "s_Country_Uzbekistan", "Uzbekistan" },
            { "s_Country_Venezuela", "Venezuela" },
            { "s_Country_Vietnam", "Vietnam" },
            { "s_Country_Yemen", "Yemen" },
            { "s_Country_Yugoslavia", "Yugoslavia" },
            { "s_Country_Zambia", "Zambia" },
            { "s_Country_Zimbabwe", "Zimbabwe" },

            { "s_Language_Afrikaans", "Afrikaans" },
            { "s_Language_Albanian", "Albanian" },
            { "s_Language_Amharic", "Amharic" },
            { "s_Language_Arabic", "Arabic" },
            { "s_Language_ArabicEgyptian", "Arabic (Egyptian)" },
            { "s_Language_ArabicOther", "Arabic (Other)" },
            { "s_Language_Armenian", "Armenian" },
            { "s_Language_Assamese", "Assamese" },
            { "s_Language_Azerbaijani", "Azerbaijani" },
            { "s_Language_Basque", "Basque" },
            { "s_Language_Belorussian", "Belorussian" },
            { "s_Language_Bengali", "Bengali" },
            { "s_Language_Berber", "Berber" },
            { "s_Language_Bichelama", "Bichelama" },
            { "s_Language_Bosnian", "Bosnian" },
            { "s_Language_Breton", "Breton" },
            { "s_Language_Bulgarian", "Bulgarian" },
            { "s_Language_Burmese", "Burmese" },
            { "s_Language_Cambodian", "Cambodian" },
            { "s_Language_Catalan", "Catalan" },
            { "s_Language_ChineseCantonese", "Chinese (Cantonese)" },
            { "s_Language_ChineseMandarin", "Chinese (Mandarin)" },
            { "s_Language_ChineseOther", "Chinese (Other)" },
            { "s_Language_Corsican", "Corsican" },
            { "s_Language_CreoleDutch", "Creole (Dutch)" },
            { "s_Language_CreoleEnglish", "Creole (English)" },
            { "s_Language_CreoleFrench", "Creole (French)" },
            { "s_Language_CreoleGerman", "Creole (German)" },
            { "s_Language_CreolePortuguese", "Creole (Portuguese)" },
            { "s_Language_CreoleSpanish", "Creole (Spanish)" },
            { "s_Language_Croatian", "Croatian" },
            { "s_Language_Czech", "Czech" },
            { "s_Language_Danish", "Danish" },
            { "s_Language_Dutch", "Dutch" },
            { "s_Language_English", "English" },
            { "s_Language_Esperanto", "Esperanto" },
            { "s_Language_Estonian", "Estonian" },
            { "s_Language_Fijian", "Fijian" },
            { "s_Language_Finnish", "Finnish" },
            { "s_Language_French", "French" },
            { "s_Language_Galician", "Galician" },
            { "s_Language_Georgian", "Georgian" },
            { "s_Language_German", "German" },
            { "s_Language_Greek", "Greek" },
            { "s_Language_Guarani", "Guarani" },
            { "s_Language_Gujarati", "Gujarati" },
            { "s_Language_Hakka", "Hakka" },
            { "s_Language_Hawaiian", "Hawaiian" },
            { "s_Language_Hebrew", "Hebrew" },
            { "s_Language_Hindi", "Hindi" },
            { "s_Language_Hungarian", "Hungarian" },
            { "s_Language_Icelandic", "Icelandic" },
            { "s_Language_Indonesian", "Indonesian" },
            { "s_Language_Irish", "Irish" },
            { "s_Language_Italian", "Italian" },
            { "s_Language_Japanese", "Japanese" },
            { "s_Language_Javanese", "Javanese" },
            { "s_Language_Kalaallisut", "Kalaallisut" },
            { "s_Language_Kannada", "Kannada" },
            { "s_Language_Kazakh", "Kazakh" },
            { "s_Language_Korean", "Korean" },
            { "s_Language_Kurdish", "Kurdish" },
            { "s_Language_Kyrgyz", "Kyrgyz" },
            { "s_Language_Ladino", "Ladino" },
            { "s_Language_Laotian", "Laotian" },
            { "s_Language_Latin", "Latin" },
            { "s_Language_Latvian", "Latvian" },
            { "s_Language_Lithuanian", "Lithuanian" },
            { "s_Language_Luxembourgian", "Luxembourgian" },
            { "s_Language_Macedonian", "Macedonian" },
            { "s_Language_Malay", "Malay" },
            { "s_Language_Malayalam", "Malayalam" },
            { "s_Language_Maltese", "Maltese" },
            { "s_Language_Manx", "Manx" },
            { "s_Language_Marathi", "Marathi" },
            { "s_Language_Mongolian", "Mongolian" },
            { "s_Language_Nepali", "Nepali" },
            { "s_Language_Norwegian", "Norwegian" },
            { "s_Language_Oriya", "Oriya" },
            { "s_Language_Pashto", "Pashto" },
            { "s_Language_PersianDari", "Persian (Dari)" },
            { "s_Language_PersianFarsi", "Persian (Farsi)" },
            { "s_Language_Polish", "Polish" },
            { "s_Language_Portuguese", "Portuguese" },
            { "s_Language_Punjabi", "Punjabi" },
            { "s_Language_Quechua", "Quechua" },
            { "s_Language_Romanian", "Romanian" },
            { "s_Language_Russian", "Russian" },
            { "s_Language_Scottish", "Scottish" },
            { "s_Language_Serbian", "Serbian" },
            { "s_Language_Slovak", "Slovak" },
            { "s_Language_Slovenian", "Slovenian" },
            { "s_Language_Somali", "Somali" },
            { "s_Language_Spanish", "Spanish" },
            { "s_Language_Swahili", "Swahili" },
            { "s_Language_Swedish", "Swedish" },
            { "s_Language_Tagalog", "Tagalog" },
            { "s_Language_Tamil", "Tamil" },
            { "s_Language_Telugu", "Telugu" },
            { "s_Language_Thai", "Thaï" },
            { "s_Language_Tibetan", "Tibetan" },
            { "s_Language_Turkish", "Turkish" },
            { "s_Language_Turkmen", "Turkmen" },
            { "s_Language_Ukrainian", "Ukrainian" },
            { "s_Language_Urdu", "Urdu" },
            { "s_Language_Uyghur", "Uyghur" },
            { "s_Language_Uzbek", "Uzbek" },
            { "s_Language_Vietnamese", "Vietnamese" },
            { "s_Language_Welsh", "Welsh" },
            { "s_Language_Wolof", "Wolof" },
            { "s_Language_Yiddish", "Yiddish" },
        };
    }

    public static class ruGeneratedLanguageData
    {
        public static readonly Dictionary<string, string> Strings = new Dictionary<string, string>
        {
            { "s_YesNo_Yes", "Да" },
            { "s_YesNo_No", "Нет" },

            { "s_Gender_Male", "Мужск." },
            { "s_Gender_Female", "Женск." },

            { "s_Country_Australia", "Австралия" },
            { "s_Country_Austria", "Австрия" },
            { "s_Country_Azerbaijan", "Азербайджан" },
            { "s_Country_Albania", "Албания" },
            { "s_Country_Algeria", "Алжир" },
            { "s_Country_Angola", "Ангола" },
            { "s_Country_Andorra", "Андорра" },
            { "s_Country_Argentina", "Аргентина" },
            { "s_Country_Armenia", "Армения" },
            { "s_Country_Aruba", "Аруба" },
            { "s_Country_Afghanistan", "Афганистан" },
            { "s_Country_Bahamas", "Багамы" },
            { "s_Country_Bangladesh", "Бангладеш" },
            { "s_Country_Barbados", "Барбадос" },
            { "s_Country_Bahrain", "Бахрейн" },
            { "s_Country_Belarus", "Беларусь" },
            { "s_Country_Belize", "Белиз" },
            { "s_Country_Belgium", "Бельгия" },
            { "s_Country_Benin", "Бенин" },
            { "s_Country_Bermuda", "Бермуды" },
            { "s_Country_BurmaMyanmar", "Бирма (Мьянма)" },
            { "s_Country_Bulgaria", "Болгария" },
            { "s_Country_Bolivia", "Боливия" },
            { "s_Country_BosniaHerzegovina", "Босния и Герцеговина" },
            { "s_Country_Botswana", "Ботсвана" },
            { "s_Country_Brazil", "Бразилия" },
            { "s_Country_Brunei", "Бруней" },
            { "s_Country_BurkinaFaso", "Буркина-Фасо" },
            { "s_Country_Burundi", "Бурунди" },
            { "s_Country_UnitedKingdom", "Великобритания" },
            { "s_Country_Hungary", "Венгрия" },
            { "s_Country_Venezuela", "Венесуэла" },
            { "s_Country_Vietnam", "Вьетнам" },
            { "s_Country_Gabon", "Габон" },
            { "s_Country_Haiti", "Гаити" },
            { "s_Country_Guyana", "Гайана" },
            { "s_Country_Gambia", "Гамбия" },
            { "s_Country_Ghana", "Гана" },
            { "s_Country_Guatemala", "Гватемала" },
            { "s_Country_Guinea", "Гвинея" },
            { "s_Country_GuineaBissau", "Гвинея-Бисау" },
            { "s_Country_Germany", "Германия" },
            { "s_Country_Gibraltar", "Гибралтар" },
            { "s_Country_Honduras", "Гондурас" },
            { "s_Country_HongKong", "Гонконг" },
            { "s_Country_Greece", "Греция" },
            { "s_Country_Georgia", "Грузия" },
            { "s_Country_Denmark", "Дания" },
            { "s_Country_Djibouti", "Джибути" },
            { "s_Country_DominicanRepublic", "Доминиканская Республика" },
            { "s_Country_Egypt", "Египет" },
            { "s_Country_Zambia", "Замбия" },
            { "s_Country_Zimbabwe", "Зимбабве" },
            { "s_Country_Israel", "Израиль" },
            { "s_Country_India", "Индия" },
            { "s_Country_Indonesia", "Индонезия" },
            { "s_Country_Jordan", "Иордания" },
            { "s_Country_Iraq", "Ирак" },
            { "s_Country_Iran", "Иран" },
            { "s_Country_Ireland", "Ирландия" },
            { "s_Country_Iceland", "Исландия" },
            { "s_Country_Spain", "Испания" },
            { "s_Country_Italy", "Италия" },
            { "s_Country_Yemen", "Йемен" },
            { "s_Country_Kazakhstan", "Казахстан" },
            { "s_Country_Cambodia", "Камбоджа" },
            { "s_Country_Cameroon", "Камерун" },
            { "s_Country_Canada", "Канада" },
            { "s_Country_CanaryIslands", "Канарские острова" },
            { "s_Country_Qatar", "Катар" },
            { "s_Country_Kenya", "Кения" },
            { "s_Country_Cyprus", "Кипр" },
            { "s_Country_Kyrgyzstan", "Киргизия" },
            { "s_Country_China", "Китай" },
            { "s_Country_Colombia", "Колумбия" },
            { "s_Country_Congo", "Конго" },
            { "s_Country_CostaRica", "Коста-Рика" },
            { "s_Country_IvoryCoast", "Кот-д'Ивуар" },
            { "s_Country_Cuba", "Куба" },
            { "s_Country_Kuwait", "Кувейт" },
            { "s_Country_Laos", "Лаос" },
            { "s_Country_Latvia", "Латвия" },
            { "s_Country_Lesotho", "Лесото" },
            { "s_Country_Liberia", "Либерия" },
            { "s_Country_Lebanon", "Ливан" },
            { "s_Country_Libya", "Ливия" },
            { "s_Country_Lithuania", "Литва" },
            { "s_Country_Liechtenstein", "Лихтенштейн" },
            { "s_Country_Luxembourg", "Люксембург" },
            { "s_Country_Mauritius", "Маврикий" },
            { "s_Country_Mauritania", "Мавритания" },
            { "s_Country_Madagascar", "Мадагаскар" },
            { "s_Country_Macedonia", "Македония" },
            { "s_Country_Malawi", "Малави" },
            { "s_Country_Malaysia", "Малайзия" },
            { "s_Country_Mali", "Мали" },
            { "s_Country_Maldives", "Мальдивы" },
            { "s_Country_Malta", "Мальта" },
            { "s_Country_Morocco", "Марокко" },
            { "s_Country_Mexico", "Мексика" },
            { "s_Country_Mozambique", "Мозамбик" },
            { "s_Country_Moldova", "Молдова" },
            { "s_Country_Monaco", "Монако" },
            { "s_Country_Mongolia", "Монголия" },
            { "s_Country_Namibia", "Намибия" },
            { "s_Country_Nepal", "Непал" },
            { "s_Country_Niger", "Нигер" },
            { "s_Country_Nigeria", "Нигерия" },
            { "s_Country_Netherlands", "Нидерланды" },
            { "s_Country_Nicaragua", "Никарагуа" },
            { "s_Country_NewZealand", "Новая Зеландия" },
            { "s_Country_NewCaledonia", "Новая Каледония" },
            { "s_Country_Norway", "Норвегия" },
            { "s_Country_UnitedArabEmirates", "Объединенные Арабские Эмираты" },
            { "s_Country_Oman", "Оман" },
            { "s_Country_CaymanIslands", "Острова Кайман" },
            { "s_Country_Pakistan", "Пакистан" },
            { "s_Country_Panama", "Панама" },
            { "s_Country_PapuaNewGuinea", "Папуа - Новая Гвинея" },
            { "s_Country_Paraguay", "Парагвай" },
            { "s_Country_Peru", "Перу" },
            { "s_Country_Poland", "Польша" },
            { "s_Country_Portugal", "Португалия" },
            { "s_Country_PuertoRico", "Пуэрто-Рико" },
            { "s_Country_ReunionIsland", "Реюньон" },
            { "s_Country_Russia", "Россия" },
            { "s_Country_Rwanda", "Руанда" },
            { "s_Country_Romania", "Румыния" },
            { "s_Country_ElSalvador", "Сальвадор" },
            { "s_Country_SaudiArabia", "Саудовская Аравия" },
            { "s_Country_Swaziland", "Свазиленд" },
            { "s_Country_NorthKorea", "Северная Корея" },
            { "s_Country_Senegal", "Сенегал" },
            { "s_Country_Singapore", "Сингапур" },
            { "s_Country_Syria", "Сирия" },
            { "s_Country_Slovakia", "Словакия" },
            { "s_Country_Slovenia", "Словения" },
            { "s_Country_Somalia", "Сомали" },
            { "s_Country_Sudan", "Судан" },
            { "s_Country_Surinam", "Суринам" },
            { "s_Country_UnitedStates", "США" },
            { "s_Country_SierraLeone", "Сьерра-Леоне" },
            { "s_Country_Tajikistan", "Таджикистан" },
            { "s_Country_Thailand", "Таиланд" },
            { "s_Country_Taiwan", "Тайвань" },
            { "s_Country_Tanzania", "Танзания" },
            { "s_Country_Togo", "Того" },
            { "s_Country_Tunisia", "Тунис" },
            { "s_Country_Turkmenistan", "Туркмения" },
            { "s_Country_Turkey", "Турция" },
            { "s_Country_Uganda", "Уганда" },
            { "s_Country_Uzbekistan", "Узбекистан" },
            { "s_Country_Ukraine", "Украина" },
            { "s_Country_Uruguay", "Уругвай" },
            { "s_Country_Philippines", "Филиппины" },
            { "s_Country_Finland", "Финляндия" },
            { "s_Country_France", "Франция" },
            { "s_Country_FrenchGuiana", "Французская Гвиана" },
            { "s_Country_Croatia", "Хорватия" },
            { "s_Country_CentralAfricanRepublic", "Центральноафриканская Республика" },
            { "s_Country_Chad", "Чад" },
            { "s_Country_CzechRepublic", "Чешская Республика" },
            { "s_Country_Chile", "Чили" },
            { "s_Country_Switzerland", "Швейцария" },
            { "s_Country_Sweden", "Швеция" },
            { "s_Country_Scotland", "Шотландия" },
            { "s_Country_SriLanka", "Шри-Ланка" },
            { "s_Country_Ecuador", "Эквадор" },
            { "s_Country_EquatorialGuinea", "Экваториальная Гвинея" },
            { "s_Country_Estonia", "Эстония" },
            { "s_Country_Ethiopia", "Эфиопия" },
            { "s_Country_Yugoslavia", "Югославия" },
            { "s_Country_SouthKorea", "Южная Корея" },
            { "s_Country_SouthAfrica", "Южно-Африканская Республика" },
            { "s_Country_Jamaica", "Ямайка" },
            { "s_Country_Japan", "Япония" },

            { "s_Language_Azerbaijani", "Азербайджанский" },
            { "s_Language_Albanian", "Албанский" },
            { "s_Language_Amharic", "Амхарский" },
            { "s_Language_English", "Английский" },
            { "s_Language_Arabic", "Арабский" },
            { "s_Language_ArabicOther", "Арабский (другие диалекты)" },
            { "s_Language_ArabicEgyptian", "Арабский (Египет)" },
            { "s_Language_Armenian", "Армянский" },
            { "s_Language_Assamese", "Ассамский" },
            { "s_Language_Afrikaans", "Африкаанс" },
            { "s_Language_Basque", "Баскский" },
            { "s_Language_Belorussian", "Белорусский" },
            { "s_Language_Bengali", "Бенгальский" },
            { "s_Language_Berber", "Берберский" },
            { "s_Language_Burmese", "Бирманский" },
            { "s_Language_Bichelama", "Бичелама" },
            { "s_Language_Bulgarian", "Болгарский" },
            { "s_Language_Bosnian", "Боснийский" },
            { "s_Language_Breton", "Бретонский" },
            { "s_Language_Welsh", "Валлийский" },
            { "s_Language_Hungarian", "Венгерский" },
            { "s_Language_Wolof", "Волоф" },
            { "s_Language_Vietnamese", "Вьетнамский" },
            { "s_Language_Hawaiian", "Гавайский" },
            { "s_Language_Galician", "Галисийский" },
            { "s_Language_Irish", "Гаэльский (ирландский)" },
            { "s_Language_Scottish", "Гаэльский (шотландский)" },
            { "s_Language_Dutch", "Голландский" },
            { "s_Language_Kalaallisut", "Гренландский" },
            { "s_Language_Greek", "Греческий" },
            { "s_Language_Georgian", "Грузинский" },
            { "s_Language_Guarani", "Гуарани" },
            { "s_Language_Gujarati", "Гуджарати" },
            { "s_Language_Danish", "Датский" },
            { "s_Language_Hebrew", "Иврит" },
            { "s_Language_Yiddish", "Идиш" },
            { "s_Language_Indonesian", "Индонезийский" },
            { "s_Language_Icelandic", "Исландский" },
            { "s_Language_Spanish", "Испанский" },
            { "s_Language_Italian", "Итальянский" },
            { "s_Language_Kazakh", "Казахский" },
            { "s_Language_Cambodian", "Камбоджийский" },
            { "s_Language_Kannada", "Каннада" },
            { "s_Language_Catalan", "Каталанский" },
            { "s_Language_Quechua", "Кечуа" },
            { "s_Language_Kyrgyz", "Киргизский" },
            { "s_Language_ChineseOther", "Китайский (другие диалекты)" },
            { "s_Language_ChineseCantonese", "Китайский (кантонский диалект)" },
            { "s_Language_ChineseMandarin", "Китайский (мандаринский диалект)" },
            { "s_Language_Korean", "Корейский" },
            { "s_Language_Corsican", "Корсиканский" },
            { "s_Language_CreoleEnglish", "Креольский (английский)" },
            { "s_Language_CreoleDutch", "Креольский (голландский)" },
            { "s_Language_CreoleSpanish", "Креольский (испанский)" },
            { "s_Language_CreoleGerman", "Креольский (немецкий)" },
            { "s_Language_CreolePortuguese", "Креольский (португальский)" },
            { "s_Language_CreoleFrench", "Креольский (французский)" },
            { "s_Language_Kurdish", "Курдский" },
            { "s_Language_Ladino", "Ладино" },
            { "s_Language_Laotian", "Лаосский" },
            { "s_Language_Latin", "Латинский" },
            { "s_Language_Latvian", "Латышский" },
            { "s_Language_Lithuanian", "Литовский" },
            { "s_Language_Luxembourgian", "Люксембургский" },
            { "s_Language_Macedonian", "Македонский" },
            { "s_Language_Malay", "Малайский" },
            { "s_Language_Malayalam", "Малайялам" },
            { "s_Language_Maltese", "Мальтийский" },
            { "s_Language_Marathi", "Маратхи" },
            { "s_Language_Mongolian", "Монгольский" },
            { "s_Language_Manx", "Мэнский диалект" },
            { "s_Language_German", "Немецкий" },
            { "s_Language_Nepali", "Непальский" },
            { "s_Language_Norwegian", "Норвежский" },
            { "s_Language_Oriya", "Ория" },
            { "s_Language_Punjabi", "Панджаби" },
            { "s_Language_PersianDari", "Персидский (дари)" },
            { "s_Language_PersianFarsi", "Персидский (фарси)" },
            { "s_Language_Polish", "Польский" },
            { "s_Language_Portuguese", "Португальский" },
            { "s_Language_Pashto", "Пушту" },
            { "s_Language_Romanian", "Румынский" },
            { "s_Language_Russian", "Русский" },
            { "s_Language_Serbian", "Сербский" },
            { "s_Language_Slovak", "Словацкий" },
            { "s_Language_Slovenian", "Словенский" },
            { "s_Language_Somali", "Сомали" },
            { "s_Language_Swahili", "Суахили" },
            { "s_Language_Tagalog", "Тагальский" },
            { "s_Language_Thai", "Тайский" },
            { "s_Language_Tamil", "Тамильский" },
            { "s_Language_Telugu", "Телугу" },
            { "s_Language_Tibetan", "Тибетский" },
            { "s_Language_Turkish", "Турецкий" },
            { "s_Language_Turkmen", "Туркменский" },
            { "s_Language_Uzbek", "Узбекский" },
            { "s_Language_Uyghur", "Уйгурский" },
            { "s_Language_Ukrainian", "Украинский" },
            { "s_Language_Urdu", "Урду" },
            { "s_Language_Fijian", "Фиджи" },
            { "s_Language_Finnish", "Финский" },
            { "s_Language_French", "Французский" },
            { "s_Language_Hakka", "Хакка" },
            { "s_Language_Hindi", "Хинди" },
            { "s_Language_Croatian", "Хорватский" },
            { "s_Language_Czech", "Чешский" },
            { "s_Language_Swedish", "Шведский" },
            { "s_Language_Esperanto", "Эсперанто" },
            { "s_Language_Estonian", "Эстонский" },
            { "s_Language_Javanese", "Яванский" },
            { "s_Language_Japanese", "Японский" },
        };
    }

    public static class frGeneratedLanguageData
    {
        public static readonly Dictionary<string, string> Strings = new Dictionary<string, string>
        {
            { "s_YesNo_Yes", "Oui" },
            { "s_YesNo_No", "Non" },

            { "s_Gender_Male", "Masculin" },
            { "s_Gender_Female", "Féminin" },

            { "s_Country_Afghanistan", "Afghanistan" },
            { "s_Country_SouthAfrica", "Afrique du Sud" },
            { "s_Country_Albania", "Albanie" },
            { "s_Country_Algeria", "Algérie" },
            { "s_Country_Germany", "Allemagne" },
            { "s_Country_Andorra", "Andorre" },
            { "s_Country_Angola", "Angola" },
            { "s_Country_SaudiArabia", "Arabie Saoudite" },
            { "s_Country_Argentina", "Argentine" },
            { "s_Country_Armenia", "Arménie" },
            { "s_Country_Aruba", "Aruba" },
            { "s_Country_Australia", "Australie" },
            { "s_Country_Austria", "Autriche" },
            { "s_Country_Azerbaijan", "Azerbaïdjan" },
            { "s_Country_Bahamas", "Bahamas (les)" },
            { "s_Country_Bahrain", "Bahreïn" },
            { "s_Country_Bangladesh", "Bangladesh" },
            { "s_Country_Barbados", "Barbade (la)" },
            { "s_Country_Belgium", "Belgique" },
            { "s_Country_Belize", "Belize" },
            { "s_Country_Benin", "Bénin" },
            { "s_Country_Bermuda", "Bermudes (les)" },
            { "s_Country_Belarus", "Biélorussie" },
            { "s_Country_BurmaMyanmar", "Birmanie" },
            { "s_Country_Bolivia", "Bolivie" },
            { "s_Country_BosniaHerzegovina", "Bosnie-Herzégovine" },
            { "s_Country_Botswana", "Botswana" },
            { "s_Country_Brazil", "Brésil" },
            { "s_Country_Brunei", "Brunei (sultanat de)" },
            { "s_Country_Bulgaria", "Bulgarie" },
            { "s_Country_BurkinaFaso", "Burkina" },
            { "s_Country_Burundi", "Burundi" },
            { "s_Country_Cambodia", "Cambodge" },
            { "s_Country_Cameroon", "Cameroun" },
            { "s_Country_Canada", "Canada" },
            { "s_Country_CanaryIslands", "Canaries (îles)" },
            { "s_Country_CaymanIslands", "Cayman (îles)" },
            { "s_Country_Chile", "Chili" },
            { "s_Country_China", "Chine" },
            { "s_Country_Cyprus", "Chypre" },
            { "s_Country_Colombia", "Colombie" },
            { "s_Country_Congo", "Congo" },
            { "s_Country_NorthKorea", "Corée du Nord" },
            { "s_Country_SouthKorea", "Corée du Sud" },
            { "s_Country_CostaRica", "Costa Rica" },
            { "s_Country_IvoryCoast", "Côte-d'Ivoire" },
            { "s_Country_Croatia", "Croatie" },
            { "s_Country_Cuba", "Cuba" },
            { "s_Country_Denmark", "Danemark" },
            { "s_Country_Djibouti", "Djibouti (république de)" },
            { "s_Country_Scotland", "Ecosse" },
            { "s_Country_Egypt", "Egypte" },
            { "s_Country_UnitedArabEmirates", "Emirats Arabes Unis" },
            { "s_Country_Ecuador", "Equateur" },
            { "s_Country_Spain", "Espagne" },
            { "s_Country_Estonia", "Estonie" },
            { "s_Country_UnitedStates", "Etats-Unis" },
            { "s_Country_Ethiopia", "Éthiopie" },
            { "s_Country_Finland", "Finlande" },
            { "s_Country_France", "France" },
            { "s_Country_Gabon", "Gabon" },
            { "s_Country_Gambia", "Gambia" },
            { "s_Country_Georgia", "Géorgie" },
            { "s_Country_Ghana", "Ghana" },
            { "s_Country_Gibraltar", "Gibraltar" },
            { "s_Country_Greece", "Grèce" },
            { "s_Country_Guatemala", "Guatemala" },
            { "s_Country_Guinea", "Guinée" },
            { "s_Country_EquatorialGuinea", "Guinée Équatoriale" },
            { "s_Country_GuineaBissau", "Guinée-Bissau" },
            { "s_Country_Guyana", "Guyane" },
            { "s_Country_FrenchGuiana", "Guyane Française" },
            { "s_Country_Haiti", "Haïti" },
            { "s_Country_Honduras", "Honduras" },
            { "s_Country_HongKong", "Hong Kong" },
            { "s_Country_Hungary", "Hongrie" },
            { "s_Country_India", "Inde" },
            { "s_Country_Indonesia", "Indonésie" },
            { "s_Country_Iraq", "Irak" },
            { "s_Country_Iran", "Iran" },
            { "s_Country_Ireland", "Irlande" },
            { "s_Country_Iceland", "Islande" },
            { "s_Country_Israel", "Israël" },
            { "s_Country_Italy", "Italie" },
            { "s_Country_Jamaica", "Jamaïque" },
            { "s_Country_Japan", "Japon" },
            { "s_Country_Jordan", "Jordanie" },
            { "s_Country_Kazakhstan", "Kazakstan" },
            { "s_Country_Kenya", "Kenya" },
            { "s_Country_Kyrgyzstan", "Kirghizstan" },
            { "s_Country_Kuwait", "Koweït" },
            { "s_Country_Laos", "Laos" },
            { "s_Country_Lesotho", "Lesotho" },
            { "s_Country_Latvia", "Lettonie" },
            { "s_Country_Lebanon", "Liban" },
            { "s_Country_Liberia", "Liberia" },
            { "s_Country_Libya", "Libye" },
            { "s_Country_Liechtenstein", "Liechtenstein" },
            { "s_Country_Lithuania", "Lituanie" },
            { "s_Country_Luxembourg", "Luxembourg" },
            { "s_Country_Macedonia", "Macédoine" },
            { "s_Country_Madagascar", "Madagascar" },
            { "s_Country_Malaysia", "Malaisie" },
            { "s_Country_Malawi", "Malawi" },
            { "s_Country_Maldives", "Maldives (îles)" },
            { "s_Country_Mali", "Mali" },
            { "s_Country_Malta", "Malte" },
            { "s_Country_Morocco", "Maroc" },
            { "s_Country_Mauritius", "Maurice (île)" },
            { "s_Country_Mauritania", "Mauritanie" },
            { "s_Country_Mexico", "Mexique" },
            { "s_Country_Moldova", "Moldavie" },
            { "s_Country_Monaco", "Monaco" },
            { "s_Country_Mongolia", "Mongolie" },
            { "s_Country_Mozambique", "Mozambique" },
            { "s_Country_Namibia", "Namibie" },
            { "s_Country_Nepal", "Népal" },
            { "s_Country_Nicaragua", "Nicaragua" },
            { "s_Country_Niger", "Niger" },
            { "s_Country_Nigeria", "Nigeria" },
            { "s_Country_Norway", "Norvège" },
            { "s_Country_NewCaledonia", "Nouvelle-Calédonie" },
            { "s_Country_NewZealand", "Nouvelle-Zélande" },
            { "s_Country_Oman", "Oman" },
            { "s_Country_Uganda", "Ouganda" },
            { "s_Country_Uzbekistan", "Ouzbékistan" },
            { "s_Country_Pakistan", "Pakistan" },
            { "s_Country_Panama", "Panama" },
            { "s_Country_PapuaNewGuinea", "Papouasie-Nouvelle-Guinée" },
            { "s_Country_Paraguay", "Paraguay" },
            { "s_Country_Netherlands", "Pays-Bas (les)" },
            { "s_Country_Peru", "Pérou" },
            { "s_Country_Philippines", "Philippines (les)" },
            { "s_Country_Poland", "Pologne" },
            { "s_Country_PuertoRico", "Porto Rico" },
            { "s_Country_Portugal", "Portugal" },
            { "s_Country_Qatar", "Qatar" },
            { "s_Country_CentralAfricanRepublic", "République Centrafricaine" },
            { "s_Country_DominicanRepublic", "République Dominicaine" },
            { "s_Country_CzechRepublic", "République Tchèque" },
            { "s_Country_ReunionIsland", "Réunion (île de la)" },
            { "s_Country_Romania", "Roumanie" },
            { "s_Country_UnitedKingdom", "Royaume-Uni" },
            { "s_Country_Russia", "Russie" },
            { "s_Country_Rwanda", "Rwanda" },
            { "s_Country_ElSalvador", "Salvador" },
            { "s_Country_Senegal", "Sénégal" },
            { "s_Country_SierraLeone", "Sierra Léone" },
            { "s_Country_Singapore", "Singapour" },
            { "s_Country_Slovakia", "Slovaquie" },
            { "s_Country_Slovenia", "Slovénie" },
            { "s_Country_Somalia", "Somalie" },
            { "s_Country_Sudan", "Soudan" },
            { "s_Country_SriLanka", "Sri Lanka" },
            { "s_Country_Sweden", "Suède" },
            { "s_Country_Switzerland", "Suisse" },
            { "s_Country_Surinam", "Surinam" },
            { "s_Country_Swaziland", "Swaziland" },
            { "s_Country_Syria", "Syrie" },
            { "s_Country_Tajikistan", "Tadjikistan" },
            { "s_Country_Taiwan", "Taïwan" },
            { "s_Country_Tanzania", "Tanzanie" },
            { "s_Country_Chad", "Tchad" },
            { "s_Country_Thailand", "Thaïlande" },
            { "s_Country_Togo", "Togo" },
            { "s_Country_Tunisia", "Tunisie" },
            { "s_Country_Turkmenistan", "Turkménistan" },
            { "s_Country_Turkey", "Turquie" },
            { "s_Country_Ukraine", "Ukraine" },
            { "s_Country_Uruguay", "Uruguay" },
            { "s_Country_Venezuela", "Venezuela" },
            { "s_Country_Vietnam", "Vietnam" },
            { "s_Country_Yemen", "Yémen" },
            { "s_Country_Yugoslavia", "Yougoslavie" },
            { "s_Country_Zambia", "Zambie" },
            { "s_Country_Zimbabwe", "Zimbabwe" },

            { "s_Language_Afrikaans", "Afrikaans" },
            { "s_Language_Albanian", "Albanais" },
            { "s_Language_German", "Allemand" },
            { "s_Language_Amharic", "Amharique" },
            { "s_Language_English", "Anglais" },
            { "s_Language_Arabic", "Arabe" },
            { "s_Language_ArabicOther", "Arabe (Autre)" },
            { "s_Language_ArabicEgyptian", "Arabe (Egyptien)" },
            { "s_Language_Armenian", "Arménien" },
            { "s_Language_Assamese", "Assamais" },
            { "s_Language_Azerbaijani", "Azerbaïdjanais" },
            { "s_Language_Basque", "Basque" },
            { "s_Language_Bengali", "Bengali" },
            { "s_Language_Berber", "Berbère" },
            { "s_Language_Bichelama", "Bichelamar" },
            { "s_Language_Belorussian", "Biélorusse" },
            { "s_Language_Burmese", "Birman" },
            { "s_Language_Bosnian", "Bosniaque" },
            { "s_Language_Breton", "Breton" },
            { "s_Language_Bulgarian", "Bulgare" },
            { "s_Language_Cambodian", "Cambodgien" },
            { "s_Language_Catalan", "Catalan" },
            { "s_Language_ChineseOther", "Chinois (Autre)" },
            { "s_Language_ChineseCantonese", "Chinois (Cantonais)" },
            { "s_Language_ChineseMandarin", "Chinois (Mandarin)" },
            { "s_Language_Korean", "Coréen" },
            { "s_Language_Corsican", "Corse" },
            { "s_Language_CreoleGerman", "Créole (Allemand)" },
            { "s_Language_CreoleEnglish", "Créole (Anglais)" },
            { "s_Language_CreoleSpanish", "Créole (Espagnol)" },
            { "s_Language_CreoleFrench", "Créole (Français)" },
            { "s_Language_CreoleDutch", "Créole (Néérlandais)" },
            { "s_Language_CreolePortuguese", "Créole (Portuguais)" },
            { "s_Language_Croatian", "Croate" },
            { "s_Language_Danish", "Danois" },
            { "s_Language_Scottish", "Ecossais" },
            { "s_Language_Spanish", "Espagnol" },
            { "s_Language_Esperanto", "Espéranto" },
            { "s_Language_Estonian", "Estonien" },
            { "s_Language_Fijian", "Fidjien" },
            { "s_Language_Finnish", "Finnois" },
            { "s_Language_French", "Français" },
            { "s_Language_Galician", "Galicien" },
            { "s_Language_Welsh", "Gallois" },
            { "s_Language_Georgian", "Géorgien" },
            { "s_Language_Greek", "Grec" },
            { "s_Language_Guarani", "Guarani" },
            { "s_Language_Gujarati", "Gujarati" },
            { "s_Language_Hakka", "Hakka" },
            { "s_Language_Hawaiian", "Hawaiien" },
            { "s_Language_Hebrew", "Hébreu" },
            { "s_Language_Hindi", "Hindi" },
            { "s_Language_Hungarian", "Hongrois" },
            { "s_Language_Indonesian", "Indonésien" },
            { "s_Language_Irish", "Irlandais" },
            { "s_Language_Icelandic", "Islandais" },
            { "s_Language_Italian", "Italien" },
            { "s_Language_Japanese", "Japonais" },
            { "s_Language_Javanese", "Javanais" },
            { "s_Language_Kalaallisut", "Kalaallisut" },
            { "s_Language_Kannada", "Kannada" },
            { "s_Language_Kazakh", "Kazakh" },
            { "s_Language_Kyrgyz", "Kirghiz" },
            { "s_Language_Kurdish", "Kurde" },
            { "s_Language_Ladino", "Ladino" },
            { "s_Language_Laotian", "Laotien" },
            { "s_Language_Latin", "Latin" },
            { "s_Language_Latvian", "Letton" },
            { "s_Language_Lithuanian", "Lithuanien" },
            { "s_Language_Luxembourgian", "Luxembourgeois" },
            { "s_Language_Macedonian", "Macédonien" },
            { "s_Language_Malay", "Malais" },
            { "s_Language_Malayalam", "Malayalam" },
            { "s_Language_Maltese", "Maltais" },
            { "s_Language_Manx", "Manx" },
            { "s_Language_Marathi", "Marathi" },
            { "s_Language_Mongolian", "Mongol" },
            { "s_Language_Dutch", "Néerlandais" },
            { "s_Language_Nepali", "Népalais" },
            { "s_Language_Norwegian", "Norvégien" },
            { "s_Language_Oriya", "Oriya" },
            { "s_Language_Uyghur", "Ouïghour" },
            { "s_Language_Urdu", "Ourdou" },
            { "s_Language_Uzbek", "Ouzbek" },
            { "s_Language_Pashto", "Pachto" },
            { "s_Language_Punjabi", "Pendjabi" },
            { "s_Language_PersianDari", "Persan (Dari)" },
            { "s_Language_PersianFarsi", "Persan (Farsi)" },
            { "s_Language_Polish", "Polonais" },
            { "s_Language_Portuguese", "Portugais" },
            { "s_Language_Quechua", "Quechua" },
            { "s_Language_Romanian", "Roumain" },
            { "s_Language_Russian", "Russe" },
            { "s_Language_Serbian", "Serbe" },
            { "s_Language_Slovak", "Slovaque" },
            { "s_Language_Slovenian", "Slovène" },
            { "s_Language_Somali", "Somali" },
            { "s_Language_Swedish", "Suédois" },
            { "s_Language_Swahili", "Swahili" },
            { "s_Language_Tagalog", "Tagal" },
            { "s_Language_Tamil", "Tamil" },
            { "s_Language_Czech", "Tchèque" },
            { "s_Language_Telugu", "Telugu" },
            { "s_Language_Thai", "Thaï" },
            { "s_Language_Tibetan", "Tibétain" },
            { "s_Language_Turkish", "Turc" },
            { "s_Language_Turkmen", "Turkmène" },
            { "s_Language_Ukrainian", "Ukrainien" },
            { "s_Language_Vietnamese", "Vietnamien" },
            { "s_Language_Wolof", "Wolof" },
            { "s_Language_Yiddish", "Yiddish" },
        };
    }

    public static class esGeneratedLanguageData
    {
        public static readonly Dictionary<string, string> Strings = new Dictionary<string, string>
        {
            { "s_YesNo_Yes", "Sí" },
            { "s_YesNo_No", "No" },

            { "s_Gender_Male", "Masculino" },
            { "s_Gender_Female", "Femenino" },

            { "s_Country_Afghanistan", "Afganistán" },
            { "s_Country_Albania", "Albania" },
            { "s_Country_Germany", "Alemania" },
            { "s_Country_Andorra", "Andorra" },
            { "s_Country_Angola", "Angola" },
            { "s_Country_SaudiArabia", "Arabia Saudita" },
            { "s_Country_Algeria", "Argelia" },
            { "s_Country_Argentina", "Argentina" },
            { "s_Country_Armenia", "Armenia" },
            { "s_Country_Aruba", "Aruba" },
            { "s_Country_Australia", "Australia" },
            { "s_Country_Austria", "Austria" },
            { "s_Country_Azerbaijan", "Azerbaiyán" },
            { "s_Country_Bahamas", "Bahamas" },
            { "s_Country_Bahrain", "Bahrein" },
            { "s_Country_Bangladesh", "Bangladesh" },
            { "s_Country_Barbados", "Barbados" },
            { "s_Country_Belgium", "Bélgica" },
            { "s_Country_Belize", "Belice" },
            { "s_Country_Benin", "Benín" },
            { "s_Country_Bermuda", "Bermudas" },
            { "s_Country_Belarus", "Bielorrusia" },
            { "s_Country_BurmaMyanmar", "Birmania (Myanmar)" },
            { "s_Country_Bolivia", "Bolivia" },
            { "s_Country_BosniaHerzegovina", "Bosnia Herzegovina" },
            { "s_Country_Botswana", "Botsuana" },
            { "s_Country_Brazil", "Brasil" },
            { "s_Country_Brunei", "Brunei" },
            { "s_Country_Bulgaria", "Bulgaria" },
            { "s_Country_BurkinaFaso", "Burkina Faso" },
            { "s_Country_Burundi", "Burundi" },
            { "s_Country_Cambodia", "Camboya" },
            { "s_Country_Cameroon", "Camerún" },
            { "s_Country_Canada", "Canadá" },
            { "s_Country_Chad", "Chad" },
            { "s_Country_Chile", "Chile" },
            { "s_Country_China", "China" },
            { "s_Country_Cyprus", "Chipre" },
            { "s_Country_Colombia", "Colombia" },
            { "s_Country_NorthKorea", "Corea del Norte" },
            { "s_Country_SouthKorea", "Corea del Sur" },
            { "s_Country_IvoryCoast", "Costa de Marfil" },
            { "s_Country_CostaRica", "Costa Rica" },
            { "s_Country_Croatia", "Croacia" },
            { "s_Country_Cuba", "Cuba" },
            { "s_Country_Denmark", "Dinamarca" },
            { "s_Country_Ecuador", "Ecuador" },
            { "s_Country_Egypt", "Egipto" },
            { "s_Country_Congo", "El Congo" },
            { "s_Country_ElSalvador", "El Salvador" },
            { "s_Country_UnitedArabEmirates", "Emiratos Árabes Unidos" },
            { "s_Country_Scotland", "Escocia" },
            { "s_Country_Slovakia", "Eslovaquia" },
            { "s_Country_Slovenia", "Eslovenia" },
            { "s_Country_Spain", "España" },
            { "s_Country_UnitedStates", "Estados Unidos" },
            { "s_Country_Estonia", "Estonia" },
            { "s_Country_Ethiopia", "Etiopía" },
            { "s_Country_Philippines", "Filipinas" },
            { "s_Country_Finland", "Finlandia" },
            { "s_Country_France", "Francia" },
            { "s_Country_Gabon", "Gabón" },
            { "s_Country_Gambia", "Gambia" },
            { "s_Country_Georgia", "Georgia" },
            { "s_Country_Ghana", "Ghana" },
            { "s_Country_Gibraltar", "Gibraltar" },
            { "s_Country_Greece", "Grecia" },
            { "s_Country_Guatemala", "Guatemala" },
            { "s_Country_FrenchGuiana", "Guayana Francesa" },
            { "s_Country_Guinea", "Guinea" },
            { "s_Country_EquatorialGuinea", "Guinea Ecuatorial" },
            { "s_Country_GuineaBissau", "Guinea-Bissau" },
            { "s_Country_Guyana", "Guyana" },
            { "s_Country_Haiti", "Haití" },
            { "s_Country_Honduras", "Honduras" },
            { "s_Country_HongKong", "Hong Kong" },
            { "s_Country_Hungary", "Hungría" },
            { "s_Country_India", "India" },
            { "s_Country_Indonesia", "Indonesia" },
            { "s_Country_Iraq", "Irak" },
            { "s_Country_Iran", "Irán" },
            { "s_Country_Ireland", "Irlanda" },
            { "s_Country_ReunionIsland", "Isla Reunión" },
            { "s_Country_Iceland", "Islandia" },
            { "s_Country_CaymanIslands", "Islas Caimanes" },
            { "s_Country_CanaryIslands", "Islas Canarias" },
            { "s_Country_Israel", "Israel" },
            { "s_Country_Italy", "Italia" },
            { "s_Country_Jamaica", "Jamaica" },
            { "s_Country_Japan", "Japón" },
            { "s_Country_Jordan", "Jordania" },
            { "s_Country_Kazakhstan", "Kazajstán" },
            { "s_Country_Kenya", "Kenia" },
            { "s_Country_Kyrgyzstan", "Kirguizistán" },
            { "s_Country_Kuwait", "Kuwait" },
            { "s_Country_Laos", "Laos" },
            { "s_Country_Lesotho", "Lesotho" },
            { "s_Country_Latvia", "Letonia" },
            { "s_Country_Lebanon", "Líbano" },
            { "s_Country_Liberia", "Liberia" },
            { "s_Country_Libya", "Libia" },
            { "s_Country_Liechtenstein", "Liechtenstein" },
            { "s_Country_Lithuania", "Lituania" },
            { "s_Country_Luxembourg", "Luxemburgo" },
            { "s_Country_Macedonia", "Macedonia" },
            { "s_Country_Madagascar", "Madagascar" },
            { "s_Country_Malaysia", "Malasia" },
            { "s_Country_Malawi", "Malawi" },
            { "s_Country_Maldives", "Maldivas" },
            { "s_Country_Mali", "Malí" },
            { "s_Country_Malta", "Malta" },
            { "s_Country_Morocco", "Marruecos" },
            { "s_Country_Mauritius", "Mauricio" },
            { "s_Country_Mauritania", "Mauritania" },
            { "s_Country_Mexico", "México" },
            { "s_Country_Moldova", "Moldavia" },
            { "s_Country_Monaco", "Mónaco" },
            { "s_Country_Mongolia", "Mongolia" },
            { "s_Country_Mozambique", "Mozambique" },
            { "s_Country_Namibia", "Namibia" },
            { "s_Country_Nepal", "Nepal" },
            { "s_Country_Nicaragua", "Nicaragua" },
            { "s_Country_Niger", "Níger" },
            { "s_Country_Nigeria", "Nigeria" },
            { "s_Country_Norway", "Noruega" },
            { "s_Country_NewCaledonia", "Nueva Caledonia" },
            { "s_Country_NewZealand", "Nueva Zelanda" },
            { "s_Country_Oman", "Omán" },
            { "s_Country_Netherlands", "Países Bajos" },
            { "s_Country_Pakistan", "Pakistán" },
            { "s_Country_Panama", "Panamá" },
            { "s_Country_PapuaNewGuinea", "Papua Nueva Guinea" },
            { "s_Country_Paraguay", "Paraguay" },
            { "s_Country_Peru", "Perú" },
            { "s_Country_Poland", "Polonia" },
            { "s_Country_Portugal", "Portugal" },
            { "s_Country_PuertoRico", "Puerto Rico" },
            { "s_Country_Qatar", "Qatar" },
            { "s_Country_UnitedKingdom", "Reino Unido" },
            { "s_Country_CentralAfricanRepublic", "República Centroafricana" },
            { "s_Country_CzechRepublic", "República Checa" },
            { "s_Country_DominicanRepublic", "República Dominicana" },
            { "s_Country_Rwanda", "Ruanda" },
            { "s_Country_Romania", "Rumania" },
            { "s_Country_Russia", "Rusia" },
            { "s_Country_Senegal", "Senegal" },
            { "s_Country_SierraLeone", "Sierra Leona" },
            { "s_Country_Singapore", "Singapur" },
            { "s_Country_Syria", "Siria" },
            { "s_Country_Somalia", "Somalia" },
            { "s_Country_SriLanka", "Sri Lanka" },
            { "s_Country_Swaziland", "Suazilandia" },
            { "s_Country_SouthAfrica", "Sudáfrica" },
            { "s_Country_Sudan", "Sudán" },
            { "s_Country_Sweden", "Suecia" },
            { "s_Country_Switzerland", "Suiza" },
            { "s_Country_Surinam", "Surinam" },
            { "s_Country_Thailand", "Tailandia" },
            { "s_Country_Taiwan", "Taiwán" },
            { "s_Country_Tanzania", "Tanzania" },
            { "s_Country_Tajikistan", "Tayikistán" },
            { "s_Country_Togo", "Togo" },
            { "s_Country_Tunisia", "Túnez" },
            { "s_Country_Turkmenistan", "Turkmenistán" },
            { "s_Country_Turkey", "Turquía" },
            { "s_Country_Ukraine", "Ucrania" },
            { "s_Country_Uganda", "Uganda" },
            { "s_Country_Uruguay", "Uruguay" },
            { "s_Country_Uzbekistan", "Uzbekistán" },
            { "s_Country_Venezuela", "Venezuela" },
            { "s_Country_Vietnam", "Vietnam" },
            { "s_Country_Yemen", "Yemen" },
            { "s_Country_Djibouti", "Yibuti" },
            { "s_Country_Yugoslavia", "Yugoslavia" },
            { "s_Country_Zambia", "Zambia" },
            { "s_Country_Zimbabwe", "Zimbabwe" },

            { "s_Language_Afrikaans", "Afrikáans" },
            { "s_Language_Albanian", "Albanés" },
            { "s_Language_German", "Alemán" },
            { "s_Language_Amharic", "Amárico" },
            { "s_Language_Arabic", "Árabe" },
            { "s_Language_ArabicEgyptian", "Árabe (egipcio)" },
            { "s_Language_ArabicOther", "Árabe (otro)" },
            { "s_Language_Armenian", "Armenio" },
            { "s_Language_Assamese", "Asamés" },
            { "s_Language_Azerbaijani", "Azerí" },
            { "s_Language_Bengali", "Bengalí" },
            { "s_Language_Berber", "Bereber" },
            { "s_Language_Belorussian", "Bielorruso" },
            { "s_Language_Burmese", "Birmano" },
            { "s_Language_Bichelama", "Bislama" },
            { "s_Language_Bosnian", "Bosnio" },
            { "s_Language_Breton", "Bretón" },
            { "s_Language_Bulgarian", "Búlgaro" },
            { "s_Language_Cambodian", "Camboyano" },
            { "s_Language_Kannada", "Canarés" },
            { "s_Language_Catalan", "Catalán" },
            { "s_Language_Czech", "Checo" },
            { "s_Language_ChineseCantonese", "Chino (cantonés)" },
            { "s_Language_ChineseMandarin", "Chino (mandarín)" },
            { "s_Language_ChineseOther", "Chino (otro)" },
            { "s_Language_Korean", "Coreano" },
            { "s_Language_Corsican", "Corso" },
            { "s_Language_CreoleGerman", "Criollo (alemán)" },
            { "s_Language_CreoleSpanish", "Criollo (español)" },
            { "s_Language_CreoleFrench", "Criollo (francés)" },
            { "s_Language_CreoleDutch", "Criollo (holandés)" },
            { "s_Language_CreoleEnglish", "Criollo (inglés)" },
            { "s_Language_CreolePortuguese", "Criollo (portugués)" },
            { "s_Language_Croatian", "Croata" },
            { "s_Language_Danish", "Danés" },
            { "s_Language_Scottish", "Escocés" },
            { "s_Language_Slovak", "Eslovaco" },
            { "s_Language_Slovenian", "Esloveno" },
            { "s_Language_Spanish", "Español" },
            { "s_Language_Esperanto", "Esperanto" },
            { "s_Language_Estonian", "Estonio" },
            { "s_Language_Fijian", "Fijiano" },
            { "s_Language_Finnish", "Finlandés" },
            { "s_Language_French", "Francés" },
            { "s_Language_Welsh", "Galés" },
            { "s_Language_Galician", "Gallego" },
            { "s_Language_Georgian", "Georgiano" },
            { "s_Language_Greek", "Griego" },
            { "s_Language_Guarani", "Guaraní" },
            { "s_Language_Gujarati", "Guyaratí" },
            { "s_Language_Hakka", "Hakka" },
            { "s_Language_Hawaiian", "Hawaiano" },
            { "s_Language_Hebrew", "Hebreo" },
            { "s_Language_Hindi", "Hindi" },
            { "s_Language_Dutch", "Holandés" },
            { "s_Language_Hungarian", "Húngaro" },
            { "s_Language_Indonesian", "Indonesio" },
            { "s_Language_English", "Inglés" },
            { "s_Language_Irish", "Irlandés" },
            { "s_Language_Icelandic", "Islandés" },
            { "s_Language_Italian", "Italiano" },
            { "s_Language_Japanese", "Japonés" },
            { "s_Language_Javanese", "Javanés" },
            { "s_Language_Kalaallisut", "Kalaallisut" },
            { "s_Language_Kazakh", "Kazajo" },
            { "s_Language_Kyrgyz", "Kirguiz" },
            { "s_Language_Kurdish", "Kurdo" },
            { "s_Language_Ladino", "Ladino" },
            { "s_Language_Laotian", "Lao" },
            { "s_Language_Latin", "Latín" },
            { "s_Language_Latvian", "Letón" },
            { "s_Language_Lithuanian", "Lituano" },
            { "s_Language_Luxembourgian", "Luxemburgués" },
            { "s_Language_Macedonian", "Macedonio" },
            { "s_Language_Malayalam", "Malayalam" },
            { "s_Language_Malay", "Malayo" },
            { "s_Language_Maltese", "Maltés" },
            { "s_Language_Manx", "Manés" },
            { "s_Language_Marathi", "Maratí" },
            { "s_Language_Mongolian", "Mongol" },
            { "s_Language_Nepali", "Nepalí" },
            { "s_Language_Norwegian", "Noruego" },
            { "s_Language_Oriya", "Oriya" },
            { "s_Language_Punjabi", "Panyabí" },
            { "s_Language_Pashto", "Pashto" },
            { "s_Language_PersianDari", "Persa (dari)" },
            { "s_Language_PersianFarsi", "Persa (farsi)" },
            { "s_Language_Polish", "Polaco" },
            { "s_Language_Portuguese", "Portugués" },
            { "s_Language_Quechua", "Quechua " },
            { "s_Language_Romanian", "Rumano" },
            { "s_Language_Russian", "Ruso" },
            { "s_Language_Serbian", "Serbio" },
            { "s_Language_Somali", "Somalí" },
            { "s_Language_Swahili", "Suahili" },
            { "s_Language_Swedish", "Sueco" },
            { "s_Language_Tagalog", "Tagalo" },
            { "s_Language_Thai", "Tailandés" },
            { "s_Language_Tamil", "Tamil" },
            { "s_Language_Telugu", "Telugú" },
            { "s_Language_Tibetan", "Tibetano" },
            { "s_Language_Turkish", "Turco" },
            { "s_Language_Turkmen", "Turcomano" },
            { "s_Language_Ukrainian", "Ucraniano" },
            { "s_Language_Uyghur", "Uigur" },
            { "s_Language_Urdu", "Urdu" },
            { "s_Language_Uzbek", "Uzbeco" },
            { "s_Language_Basque", "Vasco" },
            { "s_Language_Vietnamese", "Vietnamita" },
            { "s_Language_Wolof", "Wolof" },
            { "s_Language_Yiddish", "Yídish" },
        };
    }

    public static class deGeneratedLanguageData
    {
        public static readonly Dictionary<string, string> Strings = new Dictionary<string, string>
        {
            { "s_YesNo_Yes", "Ja" },
            { "s_YesNo_No", "Nein" },

            { "s_Gender_Male", "Männlich" },
            { "s_Gender_Female", "Weiblich" },

            { "s_Country_Afghanistan", "Afghanistan" },
            { "s_Country_Egypt", "Ägypten" },
            { "s_Country_Albania", "Albanien" },
            { "s_Country_Algeria", "Algerien" },
            { "s_Country_Andorra", "Andorra" },
            { "s_Country_Angola", "Angola" },
            { "s_Country_EquatorialGuinea", "Äquatorialguinea" },
            { "s_Country_Argentina", "Argentinien" },
            { "s_Country_Armenia", "Armenien" },
            { "s_Country_Aruba", "Aruba" },
            { "s_Country_Azerbaijan", "Aserbaidschan" },
            { "s_Country_Ethiopia", "Äthiopien" },
            { "s_Country_Australia", "Australien" },
            { "s_Country_Bahamas", "Bahamas" },
            { "s_Country_Bahrain", "Bahrain" },
            { "s_Country_Bangladesh", "Bangladesch" },
            { "s_Country_Barbados", "Barbados" },
            { "s_Country_Belarus", "Belarus" },
            { "s_Country_Belgium", "Belgien" },
            { "s_Country_Belize", "Belize" },
            { "s_Country_Benin", "Benin" },
            { "s_Country_Bermuda", "Bermuda" },
            { "s_Country_Bolivia", "Bolivien" },
            { "s_Country_BosniaHerzegovina", "Bosnien-Herzegowina" },
            { "s_Country_Botswana", "Botsuana" },
            { "s_Country_Brazil", "Brasilien" },
            { "s_Country_Brunei", "Brunei" },
            { "s_Country_Bulgaria", "Bulgarien" },
            { "s_Country_BurkinaFaso", "Burkina Faso" },
            { "s_Country_BurmaMyanmar", "Burma (Myanmar)" },
            { "s_Country_Burundi", "Burundi" },
            { "s_Country_Chile", "Chile" },
            { "s_Country_China", "China" },
            { "s_Country_CostaRica", "Costa Rica" },
            { "s_Country_Denmark", "Dänemark" },
            { "s_Country_Germany", "Deutschland" },
            { "s_Country_DominicanRepublic", "Dominikanische Republik" },
            { "s_Country_Djibouti", "Dschibuti" },
            { "s_Country_Ecuador", "Ecuador" },
            { "s_Country_ElSalvador", "El Salvador" },
            { "s_Country_IvoryCoast", "Elfenbeinküste" },
            { "s_Country_Estonia", "Estland" },
            { "s_Country_Finland", "Finnland" },
            { "s_Country_France", "Frankreich" },
            { "s_Country_FrenchGuiana", "Französisch-Guyana" },
            { "s_Country_Gabon", "Gabun" },
            { "s_Country_Gambia", "Gambia" },
            { "s_Country_Georgia", "Georgien" },
            { "s_Country_Ghana", "Ghana" },
            { "s_Country_Gibraltar", "Gibraltar" },
            { "s_Country_Greece", "Griechenland" },
            { "s_Country_Guatemala", "Guatemala" },
            { "s_Country_Guinea", "Guinea" },
            { "s_Country_GuineaBissau", "Guinea-Bissau" },
            { "s_Country_Guyana", "Guyana" },
            { "s_Country_Haiti", "Haiti" },
            { "s_Country_Honduras", "Honduras" },
            { "s_Country_HongKong", "Hongkong" },
            { "s_Country_India", "Indien" },
            { "s_Country_Indonesia", "Indonesien" },
            { "s_Country_Iraq", "Irak" },
            { "s_Country_Iran", "Iran" },
            { "s_Country_Ireland", "Irland" },
            { "s_Country_Iceland", "Island" },
            { "s_Country_Israel", "Israel" },
            { "s_Country_Italy", "Italien" },
            { "s_Country_Jamaica", "Jamaika" },
            { "s_Country_Japan", "Japan" },
            { "s_Country_Yemen", "Jemen" },
            { "s_Country_Jordan", "Jordanien" },
            { "s_Country_Yugoslavia", "Jugoslawien" },
            { "s_Country_CaymanIslands", "Kaimaninseln" },
            { "s_Country_Cambodia", "Kambodscha" },
            { "s_Country_Cameroon", "Kamerun" },
            { "s_Country_Canada", "Kanada" },
            { "s_Country_CanaryIslands", "Kanarische Inseln" },
            { "s_Country_Kazakhstan", "Kasachstan" },
            { "s_Country_Qatar", "Katar" },
            { "s_Country_Kenya", "Kenia" },
            { "s_Country_Kyrgyzstan", "Kirgistan" },
            { "s_Country_Colombia", "Kolumbien" },
            { "s_Country_Congo", "Kongo" },
            { "s_Country_Croatia", "Kroatien" },
            { "s_Country_Cuba", "Kuba" },
            { "s_Country_Kuwait", "Kuwait" },
            { "s_Country_Laos", "Laos" },
            { "s_Country_Lesotho", "Lesotho" },
            { "s_Country_Latvia", "Lettland" },
            { "s_Country_Lebanon", "Libanon" },
            { "s_Country_Liberia", "Liberia" },
            { "s_Country_Libya", "Libyen" },
            { "s_Country_Liechtenstein", "Liechtenstein" },
            { "s_Country_Lithuania", "Litauen" },
            { "s_Country_Luxembourg", "Luxemburg" },
            { "s_Country_Madagascar", "Madagaskar" },
            { "s_Country_Malawi", "Malawi" },
            { "s_Country_Malaysia", "Malaysia" },
            { "s_Country_Maldives", "Malediven" },
            { "s_Country_Mali", "Mali" },
            { "s_Country_Malta", "Malta" },
            { "s_Country_Morocco", "Marokko" },
            { "s_Country_Mauritania", "Mauretanien" },
            { "s_Country_Mauritius", "Mauritius" },
            { "s_Country_Macedonia", "Mazedonien" },
            { "s_Country_Mexico", "Mexiko" },
            { "s_Country_Moldova", "Moldawien" },
            { "s_Country_Monaco", "Monaco" },
            { "s_Country_Mongolia", "Mongolei" },
            { "s_Country_Mozambique", "Mosambik" },
            { "s_Country_Namibia", "Namibia" },
            { "s_Country_Nepal", "Nepal" },
            { "s_Country_NewCaledonia", "Neukaledonien" },
            { "s_Country_NewZealand", "Neuseeland" },
            { "s_Country_Nicaragua", "Nicaragua" },
            { "s_Country_Netherlands", "Niederlande" },
            { "s_Country_Niger", "Niger" },
            { "s_Country_Nigeria", "Nigeria" },
            { "s_Country_NorthKorea", "Nordkorea" },
            { "s_Country_Norway", "Norwegen" },
            { "s_Country_Oman", "Oman" },
            { "s_Country_Austria", "Österreich" },
            { "s_Country_Pakistan", "Pakistan" },
            { "s_Country_Panama", "Panama" },
            { "s_Country_PapuaNewGuinea", "Papua-Neuguinea" },
            { "s_Country_Paraguay", "Paraguay" },
            { "s_Country_Peru", "Peru" },
            { "s_Country_Philippines", "Philippinen" },
            { "s_Country_Poland", "Polen" },
            { "s_Country_Portugal", "Portugal" },
            { "s_Country_PuertoRico", "Puerto Rico" },
            { "s_Country_ReunionIsland", "Reunion" },
            { "s_Country_Rwanda", "Ruanda" },
            { "s_Country_Romania", "Rumänien" },
            { "s_Country_Russia", "Russland" },
            { "s_Country_Zambia", "Sambia" },
            { "s_Country_SaudiArabia", "Saudi-Arabien" },
            { "s_Country_Scotland", "Schottland" },
            { "s_Country_Sweden", "Schweden" },
            { "s_Country_Switzerland", "Schweiz" },
            { "s_Country_Senegal", "Senegal" },
            { "s_Country_SierraLeone", "Sierra Leone" },
            { "s_Country_Zimbabwe", "Simbabwe" },
            { "s_Country_Singapore", "Singapur" },
            { "s_Country_Slovakia", "Slowakai" },
            { "s_Country_Slovenia", "Slowenien" },
            { "s_Country_Somalia", "Somalia" },
            { "s_Country_Spain", "Spanien" },
            { "s_Country_SriLanka", "Sri Lanka" },
            { "s_Country_SouthAfrica", "Südafrika" },
            { "s_Country_Sudan", "Sudan" },
            { "s_Country_SouthKorea", "Südkorea" },
            { "s_Country_Surinam", "Surinam" },
            { "s_Country_Swaziland", "Swasiland" },
            { "s_Country_Syria", "Syrien" },
            { "s_Country_Tajikistan", "Tadschikistan" },
            { "s_Country_Taiwan", "Taiwan" },
            { "s_Country_Tanzania", "Tansania" },
            { "s_Country_Thailand", "Thailand" },
            { "s_Country_Togo", "Togo" },
            { "s_Country_Chad", "Tschad" },
            { "s_Country_CzechRepublic", "Tschechische Republik" },
            { "s_Country_Tunisia", "Tunesien" },
            { "s_Country_Turkey", "Türkei" },
            { "s_Country_Turkmenistan", "Turkmenistan" },
            { "s_Country_Uganda", "Uganda" },
            { "s_Country_Ukraine", "Ukraine" },
            { "s_Country_Hungary", "Ungarn" },
            { "s_Country_Uruguay", "Uruguay" },
            { "s_Country_UnitedStates", "USA" },
            { "s_Country_Uzbekistan", "Usbekistan" },
            { "s_Country_Venezuela", "Venezuela" },
            { "s_Country_UnitedKingdom", "Vereinigtes Königreich" },
            { "s_Country_UnitedArabEmirates", "Vereinte Arabische Emirate" },
            { "s_Country_Vietnam", "Vietnam" },
            { "s_Country_CentralAfricanRepublic", "Zentralafrikanische Republik" },
            { "s_Country_Cyprus", "Zypern" },

            { "s_Language_Afrikaans", "Afrikaans" },
            { "s_Language_Albanian", "Albanisch" },
            { "s_Language_Amharic", "Amharisch" },
            { "s_Language_Arabic", "Arabisch" },
            { "s_Language_ArabicEgyptian", "Arabisch (Ägyptisch)" },
            { "s_Language_ArabicOther", "Arabisch (sonstige)" },
            { "s_Language_Armenian", "Armenisch" },
            { "s_Language_Azerbaijani", "Aserbaidschanisch" },
            { "s_Language_Assamese", "Assamisch" },
            { "s_Language_Basque", "Baskisch" },
            { "s_Language_Belorussian", "Belorussisch" },
            { "s_Language_Bengali", "Bengali" },
            { "s_Language_Berber", "Berber" },
            { "s_Language_Bichelama", "Bichelama" },
            { "s_Language_Burmese", "Birmanisch" },
            { "s_Language_Bosnian", "Bosnisch" },
            { "s_Language_Breton", "Bretonisch" },
            { "s_Language_Bulgarian", "Bulgarisch" },
            { "s_Language_ChineseCantonese", "Chinesisch (Kantonesisch)" },
            { "s_Language_ChineseMandarin", "Chinesisch (Mandarin)" },
            { "s_Language_ChineseOther", "Chinesisch (sonstige)" },
            { "s_Language_Danish", "Dänisch" },
            { "s_Language_German", "Deutsch" },
            { "s_Language_English", "Englisch" },
            { "s_Language_Esperanto", "Esperanto" },
            { "s_Language_Estonian", "Estnisch" },
            { "s_Language_Fijian", "Fidschi" },
            { "s_Language_Finnish", "Finnisch" },
            { "s_Language_French", "Französisch" },
            { "s_Language_Galician", "Galizisch" },
            { "s_Language_Georgian", "Georgisch" },
            { "s_Language_Greek", "Griechisch" },
            { "s_Language_Guarani", "Guarani" },
            { "s_Language_Gujarati", "Gujarati" },
            { "s_Language_Hakka", "Hakka" },
            { "s_Language_Hawaiian", "Hawaiianisch" },
            { "s_Language_Hebrew", "Hebräisch" },
            { "s_Language_Hindi", "Hindi" },
            { "s_Language_Indonesian", "Indonesisch" },
            { "s_Language_Irish", "Irisch" },
            { "s_Language_Icelandic", "Isländisch" },
            { "s_Language_Italian", "Italienisch" },
            { "s_Language_Japanese", "Japanisch" },
            { "s_Language_Javanese", "Javanisch" },
            { "s_Language_Yiddish", "Jiddish" },
            { "s_Language_Kalaallisut", "Kalaallisut (Grönländisch)" },
            { "s_Language_Cambodian", "Kambodschanisch" },
            { "s_Language_Kannada", "Kannada" },
            { "s_Language_Kazakh", "Kasachisch" },
            { "s_Language_Catalan", "Katalanisch" },
            { "s_Language_Kyrgyz", "Kirgisisch" },
            { "s_Language_Korean", "Koreanisch" },
            { "s_Language_Corsican", "Korsisch" },
            { "s_Language_CreoleGerman", "Kreolisch (Deutsch)" },
            { "s_Language_CreoleEnglish", "Kreolisch (Englisch)" },
            { "s_Language_CreoleFrench", "Kreolisch (Französisch)" },
            { "s_Language_CreoleDutch", "Kreolisch (Niederländisch)" },
            { "s_Language_CreolePortuguese", "Kreolisch (Portugiesisch)" },
            { "s_Language_CreoleSpanish", "Kreolisch (Spanisch)" },
            { "s_Language_Croatian", "Kroatisch" },
            { "s_Language_Kurdish", "Kurdisch" },
            { "s_Language_Ladino", "Ladino" },
            { "s_Language_Laotian", "Laotisch" },
            { "s_Language_Latin", "Lateinisch" },
            { "s_Language_Latvian", "Lettisch" },
            { "s_Language_Lithuanian", "Litauisch" },
            { "s_Language_Luxembourgian", "Luxemburgisch" },
            { "s_Language_Malay", "Malaiisch" },
            { "s_Language_Malayalam", "Malayalam" },
            { "s_Language_Maltese", "Maltesisch" },
            { "s_Language_Manx", "Manx" },
            { "s_Language_Marathi", "Marathi" },
            { "s_Language_Macedonian", "Mazedonisch" },
            { "s_Language_Mongolian", "Mongolisch" },
            { "s_Language_Nepali", "Nepalesisch" },
            { "s_Language_Dutch", "Niederländisch" },
            { "s_Language_Norwegian", "Norwegisch" },
            { "s_Language_Oriya", "Oriya" },
            { "s_Language_Pashto", "Paschtu" },
            { "s_Language_PersianDari", "Persisch (Dari)" },
            { "s_Language_PersianFarsi", "Persisch (Farsi)" },
            { "s_Language_Polish", "Polnisch" },
            { "s_Language_Portuguese", "Portugiesisch" },
            { "s_Language_Punjabi", "Punjabi" },
            { "s_Language_Quechua", "Quechua" },
            { "s_Language_Romanian", "Rumänisch" },
            { "s_Language_Russian", "Russisch" },
            { "s_Language_Scottish", "Schottisch" },
            { "s_Language_Swedish", "Schwedisch" },
            { "s_Language_Serbian", "Serbisch" },
            { "s_Language_Slovak", "Slowakisch" },
            { "s_Language_Slovenian", "Slowenisch" },
            { "s_Language_Somali", "Somalisch" },
            { "s_Language_Spanish", "Spanisch" },
            { "s_Language_Swahili", "Swahili" },
            { "s_Language_Tagalog", "Tagalog" },
            { "s_Language_Tamil", "Tamil" },
            { "s_Language_Telugu", "Telugu" },
            { "s_Language_Thai", "Thaï" },
            { "s_Language_Tibetan", "Tibetanisch" },
            { "s_Language_Czech", "Tschechisch" },
            { "s_Language_Turkish", "Türkisch" },
            { "s_Language_Turkmen", "Turkmenisch" },
            { "s_Language_Uyghur", "Uigurisch" },
            { "s_Language_Ukrainian", "Ukrainisch" },
            { "s_Language_Hungarian", "Ungarisch" },
            { "s_Language_Urdu", "Urdu" },
            { "s_Language_Uzbek", "Usbekisch" },
            { "s_Language_Vietnamese", "Vietnamesisch" },
            { "s_Language_Welsh", "Walisisch" },
            { "s_Language_Wolof", "Wolof" },
        };
    }

    public static class pt_BRGeneratedLanguageData
    {
        public static readonly Dictionary<string, string> Strings = new Dictionary<string, string>
        {
            { "s_YesNo_Yes", "Sim" },
            { "s_YesNo_No", "Não" },

            { "s_Gender_Male", "Masculino" },
            { "s_Gender_Female", "Feminino" },

            { "s_Country_Afghanistan", "Afeganistão" },
            { "s_Country_SouthAfrica", "África do Sul" },
            { "s_Country_Albania", "Albânia" },
            { "s_Country_Germany", "Alemanha" },
            { "s_Country_Andorra", "Andorra" },
            { "s_Country_Angola", "Angola" },
            { "s_Country_SaudiArabia", "Arábia Saudita" },
            { "s_Country_Algeria", "Argélia" },
            { "s_Country_Argentina", "Argentina" },
            { "s_Country_Armenia", "Armênia" },
            { "s_Country_Aruba", "Aruba" },
            { "s_Country_Australia", "Austrália" },
            { "s_Country_Austria", "Áustria" },
            { "s_Country_Azerbaijan", "Azerbaijão" },
            { "s_Country_Bahamas", "Bahamas" },
            { "s_Country_Bahrain", "Bahrein" },
            { "s_Country_Bangladesh", "Bangladesh" },
            { "s_Country_Barbados", "Barbados" },
            { "s_Country_Belarus", "Belarus" },
            { "s_Country_Belgium", "Bélgica" },
            { "s_Country_Belize", "Belize" },
            { "s_Country_Benin", "Bênin" },
            { "s_Country_Bermuda", "Bermudas" },
            { "s_Country_BurmaMyanmar", "Birmânia (Mianmar)" },
            { "s_Country_Bolivia", "Bolívia" },
            { "s_Country_BosniaHerzegovina", "Bósnia-Herzegovina" },
            { "s_Country_Botswana", "Botsuana" },
            { "s_Country_Brazil", "Brasil" },
            { "s_Country_Brunei", "Brunei" },
            { "s_Country_Bulgaria", "Bulgária" },
            { "s_Country_BurkinaFaso", "Burkina Fasso" },
            { "s_Country_Burundi", "Burundi" },
            { "s_Country_Cameroon", "Camarões" },
            { "s_Country_Cambodia", "Camboja" },
            { "s_Country_Canada", "Canadá" },
            { "s_Country_Qatar", "Catar" },
            { "s_Country_Kazakhstan", "Cazaquistão" },
            { "s_Country_Chad", "Chade" },
            { "s_Country_Chile", "Chile" },
            { "s_Country_China", "China" },
            { "s_Country_Cyprus", "Chipre" },
            { "s_Country_Singapore", "Cingapura" },
            { "s_Country_Colombia", "Colômbia" },
            { "s_Country_Congo", "Congo" },
            { "s_Country_NorthKorea", "Coréia do Norte" },
            { "s_Country_SouthKorea", "Coréia do Sul" },
            { "s_Country_IvoryCoast", "Costa do Marfim" },
            { "s_Country_CostaRica", "Costa Rica" },
            { "s_Country_Croatia", "Croácia" },
            { "s_Country_Cuba", "Cuba" },
            { "s_Country_Denmark", "Dinamarca" },
            { "s_Country_Djibouti", "Djibuti" },
            { "s_Country_Egypt", "Egito" },
            { "s_Country_ElSalvador", "El Salvador" },
            { "s_Country_UnitedArabEmirates", "Emirados Árabes Unidos" },
            { "s_Country_Ecuador", "Equador" },
            { "s_Country_Scotland", "Escócia" },
            { "s_Country_Slovakia", "Eslováquia" },
            { "s_Country_Slovenia", "Eslovênia" },
            { "s_Country_Spain", "Espanha" },
            { "s_Country_UnitedStates", "Estados Unidos" },
            { "s_Country_Estonia", "Estônia" },
            { "s_Country_Ethiopia", "Etiópia" },
            { "s_Country_Philippines", "Filipinas" },
            { "s_Country_Finland", "Finlândia" },
            { "s_Country_France", "França" },
            { "s_Country_Gabon", "Gabão" },
            { "s_Country_Gambia", "Gâmbia" },
            { "s_Country_Ghana", "Gana" },
            { "s_Country_Georgia", "Geórgia" },
            { "s_Country_Gibraltar", "Gibraltar" },
            { "s_Country_Greece", "Grécia" },
            { "s_Country_Guatemala", "Guatemala" },
            { "s_Country_Guyana", "Guiana" },
            { "s_Country_FrenchGuiana", "Guiana Francesa" },
            { "s_Country_Guinea", "Guiné" },
            { "s_Country_EquatorialGuinea", "Guiné Equatorial" },
            { "s_Country_GuineaBissau", "Guiné-Bissau" },
            { "s_Country_Haiti", "Haiti" },
            { "s_Country_Netherlands", "Holanda" },
            { "s_Country_Honduras", "Honduras" },
            { "s_Country_HongKong", "Hong Kong" },
            { "s_Country_Hungary", "Hungria" },
            { "s_Country_Yemen", "Iêmen" },
            { "s_Country_ReunionIsland", "Ilha Reunião" },
            { "s_Country_CanaryIslands", "Ilhas Canárias" },
            { "s_Country_CaymanIslands", "Ilhas Cayman" },
            { "s_Country_India", "Índia" },
            { "s_Country_Indonesia", "Indonésia" },
            { "s_Country_Iran", "Irã" },
            { "s_Country_Iraq", "Iraque" },
            { "s_Country_Ireland", "Irlanda" },
            { "s_Country_Iceland", "Islândia" },
            { "s_Country_Israel", "Israel" },
            { "s_Country_Italy", "Itália" },
            { "s_Country_Yugoslavia", "Iugoslávia" },
            { "s_Country_Jamaica", "Jamaica" },
            { "s_Country_Japan", "Japão" },
            { "s_Country_Jordan", "Jordânia" },
            { "s_Country_Kuwait", "Kuwait" },
            { "s_Country_Laos", "Laos" },
            { "s_Country_Lesotho", "Lesoto" },
            { "s_Country_Latvia", "Letônia" },
            { "s_Country_Lebanon", "Líbano" },
            { "s_Country_Liberia", "Libéria" },
            { "s_Country_Libya", "Líbia" },
            { "s_Country_Liechtenstein", "Liechtenstein" },
            { "s_Country_Lithuania", "Lituânia" },
            { "s_Country_Luxembourg", "Luxemburgo" },
            { "s_Country_Macedonia", "Macedônia" },
            { "s_Country_Madagascar", "Madagascar" },
            { "s_Country_Malaysia", "Malásia" },
            { "s_Country_Malawi", "Malaui" },
            { "s_Country_Maldives", "Maldivas" },
            { "s_Country_Mali", "Mali" },
            { "s_Country_Malta", "Malta" },
            { "s_Country_Morocco", "Marrocos" },
            { "s_Country_Mauritius", "Maurício" },
            { "s_Country_Mauritania", "Mauritânia" },
            { "s_Country_Mexico", "México" },
            { "s_Country_Mozambique", "Moçambique" },
            { "s_Country_Moldova", "Moldávia" },
            { "s_Country_Monaco", "Mônaco" },
            { "s_Country_Mongolia", "Mongólia" },
            { "s_Country_Namibia", "Namíbia" },
            { "s_Country_Nepal", "Nepal" },
            { "s_Country_Nicaragua", "Nicarágua" },
            { "s_Country_Niger", "Níger" },
            { "s_Country_Nigeria", "Nigéria" },
            { "s_Country_Norway", "Noruega" },
            { "s_Country_NewCaledonia", "Nova Caledônia" },
            { "s_Country_NewZealand", "Nova Zelândia" },
            { "s_Country_Oman", "Omã" },
            { "s_Country_Panama", "Panamá" },
            { "s_Country_PapuaNewGuinea", "Papua Nova-Guiné" },
            { "s_Country_Pakistan", "Paquistão" },
            { "s_Country_Paraguay", "Paraguai" },
            { "s_Country_Peru", "Peru" },
            { "s_Country_Poland", "Polônia" },
            { "s_Country_PuertoRico", "Porto Rico" },
            { "s_Country_Portugal", "Portugal" },
            { "s_Country_Kenya", "Quênia" },
            { "s_Country_Kyrgyzstan", "Quirguistão" },
            { "s_Country_UnitedKingdom", "Reino Unido" },
            { "s_Country_CentralAfricanRepublic", "República Centro-Africana" },
            { "s_Country_DominicanRepublic", "República Dominicana" },
            { "s_Country_CzechRepublic", "República Tcheca" },
            { "s_Country_Romania", "Romênia" },
            { "s_Country_Rwanda", "Ruanda" },
            { "s_Country_Russia", "Rússia" },
            { "s_Country_Senegal", "Senegal" },
            { "s_Country_SierraLeone", "Serra Leoa" },
            { "s_Country_Syria", "Síria" },
            { "s_Country_Somalia", "Somália" },
            { "s_Country_SriLanka", "Sri Lanka" },
            { "s_Country_Swaziland", "Suazilândia" },
            { "s_Country_Sudan", "Sudão" },
            { "s_Country_Sweden", "Suécia" },
            { "s_Country_Switzerland", "Suíça" },
            { "s_Country_Surinam", "Suriname" },
            { "s_Country_Thailand", "Tailândia" },
            { "s_Country_Taiwan", "Taiwan" },
            { "s_Country_Tajikistan", "Tajiquistão" },
            { "s_Country_Tanzania", "Tanzânia" },
            { "s_Country_Togo", "Togo" },
            { "s_Country_Tunisia", "Tunísia" },
            { "s_Country_Turkmenistan", "Turcomenistão" },
            { "s_Country_Turkey", "Turquia" },
            { "s_Country_Ukraine", "Ucrânia" },
            { "s_Country_Uganda", "Uganda" },
            { "s_Country_Uruguay", "Uruguai" },
            { "s_Country_Uzbekistan", "Uzbequistão" },
            { "s_Country_Venezuela", "Venezuela" },
            { "s_Country_Vietnam", "Vietnã" },
            { "s_Country_Zambia", "Zâmbia" },
            { "s_Country_Zimbabwe", "Zimbábue" },

            { "s_Language_Afrikaans", "Africâner" },
            { "s_Language_Albanian", "Albanês" },
            { "s_Language_German", "Alemão" },
            { "s_Language_Amharic", "Amárico" },
            { "s_Language_Arabic", "Árabe" },
            { "s_Language_ArabicEgyptian", "Árabe (Egito)" },
            { "s_Language_ArabicOther", "Árabe (outros)" },
            { "s_Language_Armenian", "Armênio" },
            { "s_Language_Assamese", "Assamês" },
            { "s_Language_Azerbaijani", "Azerbaidjano" },
            { "s_Language_Basque", "Basco" },
            { "s_Language_Bengali", "Bengali" },
            { "s_Language_Berber", "Bérbere" },
            { "s_Language_Belorussian", "Bielo-russo" },
            { "s_Language_Burmese", "Birmanês" },
            { "s_Language_Bichelama", "Bislama" },
            { "s_Language_Bosnian", "Bósnio" },
            { "s_Language_Breton", "Bretão" },
            { "s_Language_Bulgarian", "Búlgaro" },
            { "s_Language_Cambodian", "Cambojano" },
            { "s_Language_Catalan", "Catalão" },
            { "s_Language_Kazakh", "Cazaque" },
            { "s_Language_ChineseCantonese", "Chinês (cantonês)" },
            { "s_Language_ChineseMandarin", "Chinês (mandarim)" },
            { "s_Language_ChineseOther", "Chinês (outro)" },
            { "s_Language_Korean", "Coreano" },
            { "s_Language_Corsican", "Corso" },
            { "s_Language_CreoleGerman", "Crioulo (alemão)" },
            { "s_Language_CreoleSpanish", "Crioulo (espanhol)" },
            { "s_Language_CreoleFrench", "Crioulo (francês)" },
            { "s_Language_CreoleDutch", "Crioulo (holandês)" },
            { "s_Language_CreoleEnglish", "Crioulo (inglês)" },
            { "s_Language_CreolePortuguese", "Crioulo (português)" },
            { "s_Language_Croatian", "Croata" },
            { "s_Language_Kurdish", "Curdo" },
            { "s_Language_Danish", "Dinamarquês" },
            { "s_Language_Slovak", "Eslovaco" },
            { "s_Language_Slovenian", "Esloveno" },
            { "s_Language_Spanish", "Espanhol" },
            { "s_Language_Esperanto", "Esperanto" },
            { "s_Language_Estonian", "Estoniano" },
            { "s_Language_Fijian", "Fijiano" },
            { "s_Language_Finnish", "Finlandês" },
            { "s_Language_French", "Francês" },
            { "s_Language_Scottish", "Gaélico (Escócia)" },
            { "s_Language_Irish", "Gaélico (Irlanda)" },
            { "s_Language_Galician", "Galego" },
            { "s_Language_Welsh", "Galês" },
            { "s_Language_Georgian", "Georgiano" },
            { "s_Language_Greek", "Grego" },
            { "s_Language_Kalaallisut", "Groenlandês" },
            { "s_Language_Guarani", "Guarani" },
            { "s_Language_Gujarati", "Gujarati" },
            { "s_Language_Hakka", "Hacá" },
            { "s_Language_Hawaiian", "Havaiano" },
            { "s_Language_Hebrew", "Hebraico" },
            { "s_Language_Hindi", "Hindi" },
            { "s_Language_Dutch", "Holandês" },
            { "s_Language_Hungarian", "Húngaro" },
            { "s_Language_Yiddish", "Iídiche" },
            { "s_Language_Indonesian", "Indonésio" },
            { "s_Language_English", "Inglês" },
            { "s_Language_Icelandic", "Islandês" },
            { "s_Language_Italian", "Italiano" },
            { "s_Language_Japanese", "Japonês" },
            { "s_Language_Javanese", "Javanês" },
            { "s_Language_Kannada", "Kannada" },
            { "s_Language_Ladino", "Ladino" },
            { "s_Language_Laotian", "Laosiano" },
            { "s_Language_Latin", "Latim" },
            { "s_Language_Latvian", "Letão" },
            { "s_Language_Lithuanian", "Lituano" },
            { "s_Language_Luxembourgian", "Luxemburguês" },
            { "s_Language_Macedonian", "Macedônio" },
            { "s_Language_Malayalam", "Malaiala" },
            { "s_Language_Malay", "Malaio" },
            { "s_Language_Maltese", "Maltês" },
            { "s_Language_Manx", "Manês" },
            { "s_Language_Marathi", "Marata" },
            { "s_Language_Mongolian", "Mongol" },
            { "s_Language_Nepali", "Nepali" },
            { "s_Language_Norwegian", "Norueguês" },
            { "s_Language_Oriya", "Oriya" },
            { "s_Language_Pashto", "Pachto" },
            { "s_Language_PersianDari", "Persa (dari)" },
            { "s_Language_PersianFarsi", "Persa (farsi)" },
            { "s_Language_Polish", "Polonês" },
            { "s_Language_Portuguese", "Português" },
            { "s_Language_Punjabi", "Punjabi" },
            { "s_Language_Quechua", "Quíchua" },
            { "s_Language_Kyrgyz", "Quirguiz" },
            { "s_Language_Romanian", "Romeno" },
            { "s_Language_Russian", "Russo" },
            { "s_Language_Serbian", "Sérvio" },
            { "s_Language_Somali", "Somali" },
            { "s_Language_Swahili", "Suaíle" },
            { "s_Language_Swedish", "Sueco" },
            { "s_Language_Tagalog", "Tagalo" },
            { "s_Language_Thai", "Tailandês" },
            { "s_Language_Tamil", "Tamil" },
            { "s_Language_Czech", "Tcheco" },
            { "s_Language_Telugu", "Télugo" },
            { "s_Language_Tibetan", "Tibetano" },
            { "s_Language_Turkish", "Turco" },
            { "s_Language_Turkmen", "Turcomeno" },
            { "s_Language_Ukrainian", "Ucraniano" },
            { "s_Language_Uyghur", "Uighur" },
            { "s_Language_Urdu", "Urdu" },
            { "s_Language_Uzbek", "Uzbek" },
            { "s_Language_Vietnamese", "Vietnamita" },
            { "s_Language_Wolof", "Wolof" },
        };
    }

    public static class itGeneratedLanguageData
    {
        public static readonly Dictionary<string, string> Strings = new Dictionary<string, string>
        {
            { "s_YesNo_Yes", "Sì" },
            { "s_YesNo_No", "No" },

            { "s_Gender_Male", "Maschio" },
            { "s_Gender_Female", "Femmina" },

            { "s_Country_Afghanistan", "Afghanistan" },
            { "s_Country_Albania", "Albania" },
            { "s_Country_Algeria", "Algeria" },
            { "s_Country_Andorra", "Andorra" },
            { "s_Country_Angola", "Angola" },
            { "s_Country_SaudiArabia", "Arabia Saudita" },
            { "s_Country_Argentina", "Argentina" },
            { "s_Country_Armenia", "Armenia" },
            { "s_Country_Aruba", "Aruba" },
            { "s_Country_Australia", "Australia" },
            { "s_Country_Austria", "Austria" },
            { "s_Country_Azerbaijan", "Azerbaigian" },
            { "s_Country_Bahamas", "Bahamas" },
            { "s_Country_Bahrain", "Bahrein" },
            { "s_Country_Bangladesh", "Bangladesh" },
            { "s_Country_Barbados", "Barbados" },
            { "s_Country_Belgium", "Belgio" },
            { "s_Country_Belize", "Belize" },
            { "s_Country_Benin", "Benin" },
            { "s_Country_Bermuda", "Bermuda" },
            { "s_Country_Belarus", "Bielorussia" },
            { "s_Country_BurmaMyanmar", "Birmania (Myanmar)" },
            { "s_Country_Bolivia", "Bolivia" },
            { "s_Country_BosniaHerzegovina", "Bosnia-Erzegovina" },
            { "s_Country_Botswana", "Botswana" },
            { "s_Country_Brazil", "Brasile" },
            { "s_Country_Brunei", "Brunei" },
            { "s_Country_Bulgaria", "Bulgaria" },
            { "s_Country_BurkinaFaso", "Burkina Faso" },
            { "s_Country_Burundi", "Burundi" },
            { "s_Country_Cambodia", "Cambogia" },
            { "s_Country_Cameroon", "Camerun" },
            { "s_Country_Canada", "Canada" },
            { "s_Country_Chad", "Ciad" },
            { "s_Country_Chile", "Cile" },
            { "s_Country_China", "Cina" },
            { "s_Country_Cyprus", "Cipro" },
            { "s_Country_Colombia", "Colombia" },
            { "s_Country_Congo", "Congo" },
            { "s_Country_NorthKorea", "Corea del Nord" },
            { "s_Country_SouthKorea", "Corea del Sud" },
            { "s_Country_IvoryCoast", "Costa d’Avorio" },
            { "s_Country_CostaRica", "Costa Rica" },
            { "s_Country_Croatia", "Croazia" },
            { "s_Country_Cuba", "Cuba" },
            { "s_Country_Denmark", "Danimarca" },
            { "s_Country_Ecuador", "Ecuador" },
            { "s_Country_Egypt", "Egitto" },
            { "s_Country_ElSalvador", "El Salvador" },
            { "s_Country_UnitedArabEmirates", "Emirati Arabi Uniti" },
            { "s_Country_Estonia", "Estonia" },
            { "s_Country_Ethiopia", "Etiopia" },
            { "s_Country_Philippines", "Filippine" },
            { "s_Country_Finland", "Finlandia" },
            { "s_Country_France", "Francia" },
            { "s_Country_Gabon", "Gabon" },
            { "s_Country_Gambia", "Gambia" },
            { "s_Country_Georgia", "Georgia" },
            { "s_Country_Germany", "Germania" },
            { "s_Country_Ghana", "Ghana" },
            { "s_Country_Jamaica", "Giamaica" },
            { "s_Country_Japan", "Giappone" },
            { "s_Country_Gibraltar", "Gibilterra" },
            { "s_Country_Djibouti", "Gibuti" },
            { "s_Country_Jordan", "Giordania" },
            { "s_Country_Greece", "Grecia" },
            { "s_Country_Guatemala", "Guatemala" },
            { "s_Country_Guinea", "Guinea" },
            { "s_Country_EquatorialGuinea", "Guinea Equatoriale" },
            { "s_Country_GuineaBissau", "Guinea-Bissau" },
            { "s_Country_Guyana", "Guyana" },
            { "s_Country_FrenchGuiana", "Guyana Francese" },
            { "s_Country_Haiti", "Haiti" },
            { "s_Country_Honduras", "Honduras" },
            { "s_Country_HongKong", "Hong Kong" },
            { "s_Country_India", "India" },
            { "s_Country_Indonesia", "Indonesia" },
            { "s_Country_Iran", "Iran" },
            { "s_Country_Iraq", "Iraq" },
            { "s_Country_Ireland", "Irlanda" },
            { "s_Country_Iceland", "Islanda" },
            { "s_Country_ReunionIsland", "Isola della Riunione" },
            { "s_Country_CanaryIslands", "Isole Canarie" },
            { "s_Country_CaymanIslands", "Isole Cayman" },
            { "s_Country_Israel", "Israele" },
            { "s_Country_Italy", "Italia" },
            { "s_Country_Yugoslavia", "Iugoslavia" },
            { "s_Country_Kazakhstan", "Kazakstan" },
            { "s_Country_Kenya", "Kenya" },
            { "s_Country_Kyrgyzstan", "Kirghizistan" },
            { "s_Country_Kuwait", "Kuwait" },
            { "s_Country_Laos", "Laos" },
            { "s_Country_Lesotho", "Lesotho" },
            { "s_Country_Latvia", "Lettonia" },
            { "s_Country_Lebanon", "Libano" },
            { "s_Country_Liberia", "Liberia" },
            { "s_Country_Libya", "Libia" },
            { "s_Country_Liechtenstein", "Liechtenstein" },
            { "s_Country_Lithuania", "Lituania" },
            { "s_Country_Luxembourg", "Lussemburgo" },
            { "s_Country_Macedonia", "Macedonia" },
            { "s_Country_Madagascar", "Madagascar" },
            { "s_Country_Malawi", "Malawi" },
            { "s_Country_Malaysia", "Malaysia" },
            { "s_Country_Maldives", "Maldive" },
            { "s_Country_Mali", "Mali" },
            { "s_Country_Malta", "Malta" },
            { "s_Country_Morocco", "Marocco" },
            { "s_Country_Mauritania", "Mauritania" },
            { "s_Country_Mauritius", "Mauritius" },
            { "s_Country_Mexico", "Messico" },
            { "s_Country_Moldova", "Moldova" },
            { "s_Country_Monaco", "Monaco" },
            { "s_Country_Mongolia", "Mongolia" },
            { "s_Country_Mozambique", "Mozambico" },
            { "s_Country_Namibia", "Namibia" },
            { "s_Country_Nepal", "Nepal" },
            { "s_Country_Nicaragua", "Nicaragua" },
            { "s_Country_Niger", "Niger" },
            { "s_Country_Nigeria", "Nigeria" },
            { "s_Country_Norway", "Norvegia" },
            { "s_Country_NewCaledonia", "Nuova Caledonia" },
            { "s_Country_NewZealand", "Nuova Zelanda" },
            { "s_Country_Oman", "Oman" },
            { "s_Country_Netherlands", "Paesi Bassi" },
            { "s_Country_Pakistan", "Pakistan" },
            { "s_Country_Panama", "Panama" },
            { "s_Country_PapuaNewGuinea", "Papua Nuova Guinea" },
            { "s_Country_Paraguay", "Paraguay" },
            { "s_Country_Peru", "Perù" },
            { "s_Country_Poland", "Polonia" },
            { "s_Country_PuertoRico", "Porto Rico" },
            { "s_Country_Portugal", "Portogallo" },
            { "s_Country_Qatar", "Qatar" },
            { "s_Country_UnitedKingdom", "Regno Unito" },
            { "s_Country_CzechRepublic", "Repubblica Ceca" },
            { "s_Country_CentralAfricanRepublic", "Repubblica Centrale Africana" },
            { "s_Country_DominicanRepublic", "Repubblica Dominicana" },
            { "s_Country_Romania", "Romania" },
            { "s_Country_Rwanda", "Ruanda" },
            { "s_Country_Russia", "Russia" },
            { "s_Country_Scotland", "Scozia" },
            { "s_Country_Senegal", "Senegal" },
            { "s_Country_SierraLeone", "Sierra Leone" },
            { "s_Country_Singapore", "Singapore" },
            { "s_Country_Syria", "Siria" },
            { "s_Country_Slovakia", "Slovacchia" },
            { "s_Country_Slovenia", "Slovenia" },
            { "s_Country_Somalia", "Somalia" },
            { "s_Country_Spain", "Spagna" },
            { "s_Country_SriLanka", "Sri Lanka" },
            { "s_Country_UnitedStates", "Stati Uniti" },
            { "s_Country_SouthAfrica", "Sud Africa" },
            { "s_Country_Sudan", "Sudan" },
            { "s_Country_Surinam", "Suriname" },
            { "s_Country_Sweden", "Svezia" },
            { "s_Country_Switzerland", "Svizzera" },
            { "s_Country_Swaziland", "Swaziland" },
            { "s_Country_Tajikistan", "Tagikistan" },
            { "s_Country_Taiwan", "Taiwan" },
            { "s_Country_Tanzania", "Tanzania" },
            { "s_Country_Thailand", "Thailandia" },
            { "s_Country_Togo", "Togo" },
            { "s_Country_Tunisia", "Tunisia" },
            { "s_Country_Turkey", "Turchia" },
            { "s_Country_Turkmenistan", "Turkmenistan" },
            { "s_Country_Ukraine", "Ucraina" },
            { "s_Country_Uganda", "Uganda" },
            { "s_Country_Hungary", "Ungheria" },
            { "s_Country_Uruguay", "Uruguay" },
            { "s_Country_Uzbekistan", "Uzbekistan" },
            { "s_Country_Venezuela", "Venezuela" },
            { "s_Country_Vietnam", "Vietnam" },
            { "s_Country_Yemen", "Yemen" },
            { "s_Country_Zambia", "Zambia" },
            { "s_Country_Zimbabwe", "Zimbabwe" },

            { "s_Language_Afrikaans", "Afrikaans" },
            { "s_Language_Albanian", "Albanese" },
            { "s_Language_Amharic", "Amarico" },
            { "s_Language_Arabic", "Arabo" },
            { "s_Language_ArabicOther", "Arabo (Altro)" },
            { "s_Language_ArabicEgyptian", "Arabo (Egitto)" },
            { "s_Language_Armenian", "Armeno" },
            { "s_Language_Assamese", "Assamese" },
            { "s_Language_Azerbaijani", "Azero" },
            { "s_Language_Basque", "Basco" },
            { "s_Language_Bengali", "Bengali" },
            { "s_Language_Berber", "Berbero" },
            { "s_Language_Belorussian", "Bielorusso" },
            { "s_Language_Burmese", "Birmano" },
            { "s_Language_Bichelama", "Bislama" },
            { "s_Language_Bosnian", "Bosniaco" },
            { "s_Language_Breton", "Bretone" },
            { "s_Language_Bulgarian", "Bulgaro" },
            { "s_Language_Cambodian", "Cambogiano" },
            { "s_Language_Catalan", "Catalano" },
            { "s_Language_Czech", "Ceco" },
            { "s_Language_ChineseOther", "Cinese (Altro)" },
            { "s_Language_ChineseCantonese", "Cinese (Cantonese)" },
            { "s_Language_ChineseMandarin", "Cinese (Mandarino)" },
            { "s_Language_Korean", "Coreano" },
            { "s_Language_Corsican", "Corso" },
            { "s_Language_CreoleFrench", "Creolo (Francese)" },
            { "s_Language_CreoleEnglish", "Creolo (Inglese)" },
            { "s_Language_CreoleDutch", "Creolo (Olandese)" },
            { "s_Language_CreolePortuguese", "Creolo (Portoghese)" },
            { "s_Language_CreoleSpanish", "Creolo (Spagnolo)" },
            { "s_Language_CreoleGerman", "Creolo (Tedesco)" },
            { "s_Language_Croatian", "Croato" },
            { "s_Language_Kurdish", "Curdo" },
            { "s_Language_Danish", "Danese" },
            { "s_Language_Hebrew", "Ebraico" },
            { "s_Language_Esperanto", "Esperanto" },
            { "s_Language_Estonian", "Estone" },
            { "s_Language_Fijian", "Figiano" },
            { "s_Language_Finnish", "Finlandese" },
            { "s_Language_French", "Francese" },
            { "s_Language_Irish", "Gaelico (Irlanda)" },
            { "s_Language_Scottish", "Gaelico (Scozia)" },
            { "s_Language_Galician", "Galiziano" },
            { "s_Language_Welsh", "Gallese" },
            { "s_Language_Georgian", "Georgiano" },
            { "s_Language_Japanese", "Giapponese" },
            { "s_Language_Javanese", "Giavanese" },
            { "s_Language_Greek", "Greco" },
            { "s_Language_Guarani", "Guaranì" },
            { "s_Language_Gujarati", "Gujarati" },
            { "s_Language_Hakka", "Hakka" },
            { "s_Language_Hawaiian", "Hawaiano" },
            { "s_Language_Hindi", "Hindi" },
            { "s_Language_Indonesian", "Indonesiano" },
            { "s_Language_English", "Inglese" },
            { "s_Language_Icelandic", "Islandese" },
            { "s_Language_Italian", "Italiano" },
            { "s_Language_Kalaallisut", "Kalaallisut" },
            { "s_Language_Kannada", "Kannada" },
            { "s_Language_Kazakh", "Kazako" },
            { "s_Language_Kyrgyz", "Kirghiso" },
            { "s_Language_Ladino", "Ladino" },
            { "s_Language_Laotian", "Lao" },
            { "s_Language_Latin", "Latino" },
            { "s_Language_Latvian", "Lettone" },
            { "s_Language_Lithuanian", "Lituano" },
            { "s_Language_Luxembourgian", "Lussemburghese" },
            { "s_Language_Macedonian", "Macedone" },
            { "s_Language_Malay", "Malay" },
            { "s_Language_Malayalam", "Malayalam" },
            { "s_Language_Maltese", "Maltese" },
            { "s_Language_Manx", "Mannese" },
            { "s_Language_Marathi", "Marathi" },
            { "s_Language_Mongolian", "Mongolo" },
            { "s_Language_Nepali", "Nepalese" },
            { "s_Language_Norwegian", "Norvegese" },
            { "s_Language_Dutch", "Olandese" },
            { "s_Language_Oriya", "Oriya" },
            { "s_Language_Pashto", "Pashtu" },
            { "s_Language_PersianDari", "Persiano (Dari)" },
            { "s_Language_PersianFarsi", "Persiano (Farsi)" },
            { "s_Language_Polish", "Polacco" },
            { "s_Language_Portuguese", "Portoghese" },
            { "s_Language_Punjabi", "Punjabi" },
            { "s_Language_Quechua", "Quechua" },
            { "s_Language_Romanian", "Rumeno" },
            { "s_Language_Russian", "Russo" },
            { "s_Language_Serbian", "Serbo" },
            { "s_Language_Slovak", "Slovacco" },
            { "s_Language_Slovenian", "Sloveno" },
            { "s_Language_Somali", "Somalo" },
            { "s_Language_Spanish", "Spagnolo" },
            { "s_Language_Swedish", "Svedese" },
            { "s_Language_Swahili", "Swahili" },
            { "s_Language_Tagalog", "Tagalog" },
            { "s_Language_Tamil", "Tamil" },
            { "s_Language_German", "Tedesco" },
            { "s_Language_Telugu", "Telegu" },
            { "s_Language_Thai", "Thai" },
            { "s_Language_Tibetan", "Tibetano" },
            { "s_Language_Turkish", "Turco" },
            { "s_Language_Turkmen", "Turkmeno" },
            { "s_Language_Ukrainian", "Ucraino" },
            { "s_Language_Uyghur", "Uiguro" },
            { "s_Language_Hungarian", "Ungherese" },
            { "s_Language_Urdu", "Urdu" },
            { "s_Language_Uzbek", "Uzbeko" },
            { "s_Language_Vietnamese", "Vietnamita" },
            { "s_Language_Wolof", "Wolof" },
            { "s_Language_Yiddish", "Yiddish" },
        };
    }

    public static class jaGeneratedLanguageData
    {
        public static readonly Dictionary<string, string> Strings = new Dictionary<string, string>
        {
            { "s_YesNo_Yes", "はい" },
            { "s_YesNo_No", "いいえ" },

            { "s_Gender_Male", "男性" },
            { "s_Gender_Female", "女性" },

            { "s_Country_Iceland", "アイスランド" },
            { "s_Country_Ireland", "アイルランド" },
            { "s_Country_Azerbaijan", "アゼルバイジャン" },
            { "s_Country_Afghanistan", "アフガニスタン" },
            { "s_Country_UnitedArabEmirates", "アラブ首長国連邦" },
            { "s_Country_Algeria", "アルジェリア" },
            { "s_Country_Argentina", "アルゼンチン" },
            { "s_Country_Aruba", "アルバ" },
            { "s_Country_Albania", "アルバニア" },
            { "s_Country_Armenia", "アルメニア" },
            { "s_Country_Angola", "アンゴラ" },
            { "s_Country_Andorra", "アンドラ" },
            { "s_Country_Yemen", "イエメン" },
            { "s_Country_UnitedKingdom", "イギリス" },
            { "s_Country_Israel", "イスラエル" },
            { "s_Country_Italy", "イタリア" },
            { "s_Country_Iraq", "イラク" },
            { "s_Country_Iran", "イラン" },
            { "s_Country_India", "インド" },
            { "s_Country_Indonesia", "インドネシア" },
            { "s_Country_Uganda", "ウガンダ" },
            { "s_Country_Ukraine", "ウクライナ" },
            { "s_Country_Uzbekistan", "ウズベキスタン" },
            { "s_Country_Uruguay", "ウルグアイ" },
            { "s_Country_Ecuador", "エクアドル" },
            { "s_Country_Egypt", "エジプト" },
            { "s_Country_Estonia", "エストニア" },
            { "s_Country_Ethiopia", "エチオピア" },
            { "s_Country_ElSalvador", "エルサルバドル" },
            { "s_Country_Australia", "オーストラリア" },
            { "s_Country_Austria", "オーストリア" },
            { "s_Country_Oman", "オマーン" },
            { "s_Country_Netherlands", "オランダ" },
            { "s_Country_Ghana", "ガーナ" },
            { "s_Country_Guyana", "ガイアナ" },
            { "s_Country_Kazakhstan", "カザフスタン" },
            { "s_Country_Qatar", "カタール" },
            { "s_Country_Canada", "カナダ" },
            { "s_Country_CanaryIslands", "カナリア諸島" },
            { "s_Country_Gabon", "ガボン" },
            { "s_Country_Cameroon", "カメルーン" },
            { "s_Country_Gambia", "ガンビア" },
            { "s_Country_Cambodia", "カンボジア" },
            { "s_Country_Guinea", "ギニア" },
            { "s_Country_GuineaBissau", "ギニアビサウ" },
            { "s_Country_Cyprus", "キプロス" },
            { "s_Country_Cuba", "キューバ" },
            { "s_Country_Greece", "ギリシャ" },
            { "s_Country_Kyrgyzstan", "キルギスタン" },
            { "s_Country_Guatemala", "グアテマラ" },
            { "s_Country_Kuwait", "クウェート" },
            { "s_Country_Georgia", "グルジア" },
            { "s_Country_Croatia", "クロアチア" },
            { "s_Country_CaymanIslands", "ケイマン諸島" },
            { "s_Country_Kenya", "ケニア" },
            { "s_Country_IvoryCoast", "コートジボワール" },
            { "s_Country_CostaRica", "コスタリカ" },
            { "s_Country_Colombia", "コロンビア" },
            { "s_Country_Congo", "コンゴ" },
            { "s_Country_SaudiArabia", "サウジアラビア" },
            { "s_Country_Zambia", "ザンビア" },
            { "s_Country_SierraLeone", "シエラレオネ" },
            { "s_Country_Djibouti", "ジブチ" },
            { "s_Country_Gibraltar", "ジブラルタル" },
            { "s_Country_Jamaica", "ジャマイカ" },
            { "s_Country_Syria", "シリア" },
            { "s_Country_Singapore", "シンガポール" },
            { "s_Country_Zimbabwe", "ジンバブエ" },
            { "s_Country_Switzerland", "スイス" },
            { "s_Country_Sweden", "スウェーデン" },
            { "s_Country_Sudan", "スーダン" },
            { "s_Country_Scotland", "スコットランド" },
            { "s_Country_Spain", "スペイン" },
            { "s_Country_Surinam", "スリナム" },
            { "s_Country_SriLanka", "スリランカ" },
            { "s_Country_Slovakia", "スロバキア" },
            { "s_Country_Slovenia", "スロベニア" },
            { "s_Country_Swaziland", "スワジランド" },
            { "s_Country_Senegal", "セネガル" },
            { "s_Country_Somalia", "ソマリア" },
            { "s_Country_Thailand", "タイ" },
            { "s_Country_Tajikistan", "タジキスタン" },
            { "s_Country_Tanzania", "タンザニア" },
            { "s_Country_CzechRepublic", "チェコ共和国" },
            { "s_Country_Chad", "チャド" },
            { "s_Country_Tunisia", "チュニジア" },
            { "s_Country_Chile", "チリ" },
            { "s_Country_Denmark", "デンマーク" },
            { "s_Country_Germany", "ドイツ" },
            { "s_Country_Togo", "トーゴ" },
            { "s_Country_DominicanRepublic", "ドミニカ共和国" },
            { "s_Country_Turkmenistan", "トルクメニスタン" },
            { "s_Country_Turkey", "トルコ" },
            { "s_Country_Nigeria", "ナイジェリア" },
            { "s_Country_Namibia", "ナミビア" },
            { "s_Country_Nicaragua", "ニカラグア" },
            { "s_Country_Niger", "ニジェール" },
            { "s_Country_NewCaledonia", "ニューカレドニア" },
            { "s_Country_NewZealand", "ニュージーランド" },
            { "s_Country_Nepal", "ネパール" },
            { "s_Country_Norway", "ノルウェー" },
            { "s_Country_Bahrain", "バーレーン" },
            { "s_Country_Haiti", "ハイチ" },
            { "s_Country_Pakistan", "パキスタン" },
            { "s_Country_Panama", "パナマ" },
            { "s_Country_Bahamas", "バハマ" },
            { "s_Country_PapuaNewGuinea", "パプアニューギニア" },
            { "s_Country_Bermuda", "バミューダ" },
            { "s_Country_Paraguay", "パラグアイ" },
            { "s_Country_Barbados", "バルバドス" },
            { "s_Country_Hungary", "ハンガリー" },
            { "s_Country_Bangladesh", "バングラデシュ" },
            { "s_Country_BurmaMyanmar", "ビルマ (ミャンマー)" },
            { "s_Country_Philippines", "フィリピン" },
            { "s_Country_Finland", "フィンランド" },
            { "s_Country_PuertoRico", "プエルトリコ" },
            { "s_Country_Brazil", "ブラジル" },
            { "s_Country_France", "フランス" },
            { "s_Country_Bulgaria", "ブルガリア" },
            { "s_Country_BurkinaFaso", "ブルキナファソ" },
            { "s_Country_Brunei", "ブルネイ" },
            { "s_Country_Burundi", "ブルンジ" },
            { "s_Country_Vietnam", "ベトナム" },
            { "s_Country_Benin", "ベニン" },
            { "s_Country_Venezuela", "ベネズエラ" },
            { "s_Country_Belarus", "ベラルーシ" },
            { "s_Country_Belize", "ベリーズ" },
            { "s_Country_Peru", "ペルー" },
            { "s_Country_Belgium", "ベルギー" },
            { "s_Country_Poland", "ポーランド" },
            { "s_Country_BosniaHerzegovina", "ボスニアヘルツェゴビナ" },
            { "s_Country_Botswana", "ボツワナ" },
            { "s_Country_Bolivia", "ボリビア" },
            { "s_Country_Portugal", "ポルトガル" },
            { "s_Country_Honduras", "ホンジュラス" },
            { "s_Country_Macedonia", "マケドニア" },
            { "s_Country_Madagascar", "マダガスカル" },
            { "s_Country_Malawi", "マラウィ" },
            { "s_Country_Mali", "マリ" },
            { "s_Country_Malta", "マルタ" },
            { "s_Country_Malaysia", "マレーシア" },
            { "s_Country_Mexico", "メキシコ" },
            { "s_Country_Mauritius", "モーリシャス" },
            { "s_Country_Mauritania", "モーリタニア" },
            { "s_Country_Mozambique", "モザンビーク" },
            { "s_Country_Monaco", "モナコ" },
            { "s_Country_Maldives", "モルディブ" },
            { "s_Country_Moldova", "モルドバ" },
            { "s_Country_Morocco", "モロッコ" },
            { "s_Country_Mongolia", "モンゴル" },
            { "s_Country_Yugoslavia", "ユーゴスラビア" },
            { "s_Country_Jordan", "ヨルダン" },
            { "s_Country_Laos", "ラオス" },
            { "s_Country_Latvia", "ラトビア" },
            { "s_Country_Lithuania", "リトアニア" },
            { "s_Country_Libya", "リビア" },
            { "s_Country_Liechtenstein", "リヒテンシュタイン" },
            { "s_Country_Liberia", "リベリア" },
            { "s_Country_Romania", "ルーマニア" },
            { "s_Country_Luxembourg", "ルクセンブルグ" },
            { "s_Country_Rwanda", "ルワンダ" },
            { "s_Country_Lesotho", "レソト" },
            { "s_Country_Lebanon", "レバノン" },
            { "s_Country_ReunionIsland", "レユニオン島" },
            { "s_Country_Russia", "ロシア" },
            { "s_Country_China", "中国" },
            { "s_Country_CentralAfricanRepublic", "中央アフリカ共和国" },
            { "s_Country_FrenchGuiana", "仏領ギアナ" },
            { "s_Country_NorthKorea", "北朝鮮" },
            { "s_Country_SouthAfrica", "南アフリカ" },
            { "s_Country_Taiwan", "台湾" },
            { "s_Country_Japan", "日本" },
            { "s_Country_UnitedStates", "米国" },
            { "s_Country_EquatorialGuinea", "赤道ギニア" },
            { "s_Country_SouthKorea", "韓国" },
            { "s_Country_HongKong", "香港" },

            { "s_Language_Icelandic", "アイスランド語" },
            { "s_Language_Irish", "アイルランド ゲール語" },
            { "s_Language_Azerbaijani", "アゼルバイジャン語" },
            { "s_Language_Assamese", "アッサム語" },
            { "s_Language_Afrikaans", "アフリカーンス語" },
            { "s_Language_Amharic", "アムハラ語" },
            { "s_Language_Arabic", "アラビア語" },
            { "s_Language_ArabicOther", "アラビア語 (その他)" },
            { "s_Language_Albanian", "アルバニア語" },
            { "s_Language_Armenian", "アルメニア語" },
            { "s_Language_Italian", "イタリア語" },
            { "s_Language_Yiddish", "イディッシュ語" },
            { "s_Language_Indonesian", "インドネシア語" },
            { "s_Language_Uyghur", "ウイグル語" },
            { "s_Language_Welsh", "ウェールズ語" },
            { "s_Language_Wolof", "ウォロフ語" },
            { "s_Language_Ukrainian", "ウクライナ語" },
            { "s_Language_Uzbek", "ウズベク語" },
            { "s_Language_Urdu", "ウルドゥ語" },
            { "s_Language_ArabicEgyptian", "エジプト アラビア語" },
            { "s_Language_Estonian", "エストニア語" },
            { "s_Language_Esperanto", "エスペラント語" },
            { "s_Language_Dutch", "オランダ語" },
            { "s_Language_Oriya", "オリヤー語" },
            { "s_Language_Kazakh", "カザフ語" },
            { "s_Language_Catalan", "カタロニア語" },
            { "s_Language_Galician", "ガリシア語" },
            { "s_Language_Kannada", "カンナダ語" },
            { "s_Language_Cambodian", "カンボジア語" },
            { "s_Language_Greek", "ギリシャ語" },
            { "s_Language_Kyrgyz", "キルギス語" },
            { "s_Language_Guarani", "グアラニ語" },
            { "s_Language_Gujarati", "グジャラート語" },
            { "s_Language_Kalaallisut", "グリーンランド語" },
            { "s_Language_Georgian", "グルジア語" },
            { "s_Language_Kurdish", "クルド語" },
            { "s_Language_CreoleSpanish", "クレオール (スペイン語)" },
            { "s_Language_CreoleDutch", "クレオール語 (オランダ語)" },
            { "s_Language_CreoleGerman", "クレオール語 (ドイツ語)" },
            { "s_Language_CreoleFrench", "クレオール語 (フランス語)" },
            { "s_Language_CreolePortuguese", "クレオール語 (ポルトガル語)" },
            { "s_Language_CreoleEnglish", "クレオール語 (英語)" },
            { "s_Language_Croatian", "クロアチア語" },
            { "s_Language_Quechua", "ケチュア語" },
            { "s_Language_Corsican", "コルシカ方言" },
            { "s_Language_Javanese", "ジャワ語" },
            { "s_Language_Swedish", "スウェーデン語" },
            { "s_Language_Scottish", "スコットランド ゲール語" },
            { "s_Language_Spanish", "スペイン語" },
            { "s_Language_Slovak", "スロバキア語" },
            { "s_Language_Slovenian", "スロベニア語" },
            { "s_Language_Swahili", "スワヒリ語" },
            { "s_Language_Serbian", "セルビア語" },
            { "s_Language_Somali", "ソマリ語" },
            { "s_Language_Thai", "タイ語" },
            { "s_Language_Tagalog", "タガログ語" },
            { "s_Language_Tamil", "タミル語" },
            { "s_Language_Czech", "チェコ語" },
            { "s_Language_Tibetan", "チベット語" },
            { "s_Language_Telugu", "テルグ語" },
            { "s_Language_Danish", "デンマーク語" },
            { "s_Language_German", "ドイツ語" },
            { "s_Language_Turkmen", "トルクメン語" },
            { "s_Language_Turkish", "トルコ語" },
            { "s_Language_Nepali", "ネパール語" },
            { "s_Language_Norwegian", "ノルウェー語" },
            { "s_Language_Pashto", "パシュトー語" },
            { "s_Language_Basque", "バスク語" },
            { "s_Language_Hawaiian", "ハワイ語" },
            { "s_Language_Hungarian", "ハンガリー語" },
            { "s_Language_Punjabi", "パンジャブ語" },
            { "s_Language_Bichelama", "ビスラマ語" },
            { "s_Language_Burmese", "ビルマ語" },
            { "s_Language_Hindi", "ヒンディー語" },
            { "s_Language_Fijian", "フィージー語" },
            { "s_Language_Finnish", "フィンランド語" },
            { "s_Language_French", "フランス語" },
            { "s_Language_Bulgarian", "ブルガリア語" },
            { "s_Language_Breton", "ブルターニュ語" },
            { "s_Language_Vietnamese", "ベトナム語" },
            { "s_Language_Hebrew", "ヘブライ語" },
            { "s_Language_Belorussian", "ベラルーシ語" },
            { "s_Language_PersianDari", "ペルシア (ダリ) 語" },
            { "s_Language_PersianFarsi", "ペルシア (ファルシ) 語" },
            { "s_Language_Berber", "ベルベル語" },
            { "s_Language_Bengali", "ベンガル語" },
            { "s_Language_Polish", "ポーランド語" },
            { "s_Language_Bosnian", "ボスニア語" },
            { "s_Language_Portuguese", "ポルトガル語" },
            { "s_Language_Macedonian", "マケドニア語" },
            { "s_Language_Marathi", "マラーティ語" },
            { "s_Language_Malayalam", "マラヤーラム語" },
            { "s_Language_Maltese", "マルタ語" },
            { "s_Language_Malay", "マレー語" },
            { "s_Language_Manx", "マン島語" },
            { "s_Language_Mongolian", "モンゴル語" },
            { "s_Language_Laotian", "ラオ語" },
            { "s_Language_Ladino", "ラディノ語" },
            { "s_Language_Latin", "ラテン語" },
            { "s_Language_Latvian", "ラトビア語" },
            { "s_Language_Lithuanian", "リトアニア語" },
            { "s_Language_Romanian", "ルーマニア語" },
            { "s_Language_Luxembourgian", "ルクセンブルグ語" },
            { "s_Language_Russian", "ロシア語" },
            { "s_Language_ChineseOther", "中国語 (その他)" },
            { "s_Language_Hakka", "客家語" },
            { "s_Language_ChineseCantonese", "広東語" },
            { "s_Language_Japanese", "日本語" },
            { "s_Language_ChineseMandarin", "標準中国語" },
            { "s_Language_English", "英語" },
            { "s_Language_Korean", "韓国語" },
        };
    }

    public static class zh_CNGeneratedLanguageData
    {
        public static readonly Dictionary<string, string> Strings = new Dictionary<string, string>
        {
            { "s_YesNo_Yes", "是" },
            { "s_YesNo_No", "否" },

            { "s_Gender_Male", "男" },
            { "s_Gender_Female", "女" },

            { "s_Country_China", "中国" },
            { "s_Country_HongKong", "中国香港特别行政区" },
            { "s_Country_CentralAfricanRepublic", "中非共和国" },
            { "s_Country_Denmark", "丹麦" },
            { "s_Country_Ukraine", "乌克兰" },
            { "s_Country_Uzbekistan", "乌兹别克斯坦" },
            { "s_Country_Uganda", "乌干达" },
            { "s_Country_Uruguay", "乌拉圭" },
            { "s_Country_Chad", "乍得" },
            { "s_Country_Yemen", "也门" },
            { "s_Country_Armenia", "亚美尼亚" },
            { "s_Country_Israel", "以色列" },
            { "s_Country_Iraq", "伊拉克" },
            { "s_Country_Iran", "伊朗" },
            { "s_Country_Belize", "伯里兹" },
            { "s_Country_Russia", "俄罗斯" },
            { "s_Country_Bulgaria", "保加利亚" },
            { "s_Country_Croatia", "克罗地亚" },
            { "s_Country_Gambia", "冈比亚" },
            { "s_Country_Iceland", "冰岛" },
            { "s_Country_Guinea", "几内亚" },
            { "s_Country_GuineaBissau", "几内亚比绍" },
            { "s_Country_Liechtenstein", "列支敦士登" },
            { "s_Country_Congo", "刚果" },
            { "s_Country_Libya", "利比亚" },
            { "s_Country_Liberia", "利比里亚" },
            { "s_Country_Canada", "加拿大" },
            { "s_Country_Ghana", "加纳" },
            { "s_Country_Gabon", "加蓬" },
            { "s_Country_CanaryIslands", "加那利群岛" },
            { "s_Country_Hungary", "匈牙利" },
            { "s_Country_Yugoslavia", "南斯拉夫" },
            { "s_Country_SouthAfrica", "南非" },
            { "s_Country_Botswana", "博茨瓦纳" },
            { "s_Country_Qatar", "卡塔尔" },
            { "s_Country_Rwanda", "卢旺达" },
            { "s_Country_Luxembourg", "卢森堡" },
            { "s_Country_India", "印度" },
            { "s_Country_Indonesia", "印度尼西亚" },
            { "s_Country_Guatemala", "危地马拉" },
            { "s_Country_Ecuador", "厄瓜多尔" },
            { "s_Country_Syria", "叙利亚" },
            { "s_Country_Cuba", "古巴" },
            { "s_Country_Taiwan", "台湾" },
            { "s_Country_Kyrgyzstan", "吉尔吉斯斯坦" },
            { "s_Country_Djibouti", "吉布提" },
            { "s_Country_Kazakhstan", "哈萨克斯坦" },
            { "s_Country_Colombia", "哥伦比亚" },
            { "s_Country_CostaRica", "哥斯达黎加" },
            { "s_Country_Cameroon", "喀麦隆" },
            { "s_Country_Turkmenistan", "土库曼斯坦" },
            { "s_Country_Turkey", "土耳其" },
            { "s_Country_Guyana", "圭亚那" },
            { "s_Country_Tanzania", "坦桑尼亚" },
            { "s_Country_Egypt", "埃及" },
            { "s_Country_Ethiopia", "埃塞俄比亚" },
            { "s_Country_Tajikistan", "塔吉克斯坦" },
            { "s_Country_Senegal", "塞内加尔" },
            { "s_Country_SierraLeone", "塞拉利昂" },
            { "s_Country_Cyprus", "塞浦路斯" },
            { "s_Country_Mexico", "墨西哥" },
            { "s_Country_Togo", "多哥" },
            { "s_Country_DominicanRepublic", "多米尼加共和国" },
            { "s_Country_Austria", "奥地利" },
            { "s_Country_Venezuela", "委内瑞拉" },
            { "s_Country_Bangladesh", "孟加拉" },
            { "s_Country_Angola", "安哥拉" },
            { "s_Country_Andorra", "安道尔" },
            { "s_Country_Nicaragua", "尼加拉瓜" },
            { "s_Country_Nigeria", "尼日利亚" },
            { "s_Country_Niger", "尼日尔" },
            { "s_Country_Nepal", "尼泊尔" },
            { "s_Country_Bahamas", "巴哈马" },
            { "s_Country_Pakistan", "巴基斯坦" },
            { "s_Country_Barbados", "巴巴多斯" },
            { "s_Country_PapuaNewGuinea", "巴布亚新几内亚" },
            { "s_Country_Paraguay", "巴拉圭" },
            { "s_Country_Panama", "巴拿马" },
            { "s_Country_Bahrain", "巴林" },
            { "s_Country_Brazil", "巴西" },
            { "s_Country_BurkinaFaso", "布基纳法索" },
            { "s_Country_Burundi", "布隆迪" },
            { "s_Country_Greece", "希腊" },
            { "s_Country_CaymanIslands", "开曼群岛" },
            { "s_Country_Germany", "德国" },
            { "s_Country_Italy", "意大利" },
            { "s_Country_Latvia", "拉脱维亚" },
            { "s_Country_Norway", "挪威" },
            { "s_Country_CzechRepublic", "捷克共和国" },
            { "s_Country_Moldova", "摩尔多瓦" },
            { "s_Country_Morocco", "摩洛哥" },
            { "s_Country_Monaco", "摩纳哥" },
            { "s_Country_Brunei", "文莱" },
            { "s_Country_Swaziland", "斯威士兰" },
            { "s_Country_Slovakia", "斯洛伐克" },
            { "s_Country_Slovenia", "斯洛文尼亚" },
            { "s_Country_SriLanka", "斯里兰卡" },
            { "s_Country_Singapore", "新加坡" },
            { "s_Country_NewCaledonia", "新喀里多尼亚" },
            { "s_Country_NewZealand", "新西兰" },
            { "s_Country_Japan", "日本" },
            { "s_Country_Chile", "智利" },
            { "s_Country_NorthKorea", "朝鲜" },
            { "s_Country_Cambodia", "柬埔寨" },
            { "s_Country_Georgia", "格鲁吉亚" },
            { "s_Country_Belgium", "比利时" },
            { "s_Country_Mauritania", "毛里塔尼亚" },
            { "s_Country_Mauritius", "毛里求斯" },
            { "s_Country_SaudiArabia", "沙特阿拉伯" },
            { "s_Country_France", "法国" },
            { "s_Country_FrenchGuiana", "法属圭亚那" },
            { "s_Country_Poland", "波兰" },
            { "s_Country_PuertoRico", "波多黎各" },
            { "s_Country_BosniaHerzegovina", "波斯尼亚和黑塞哥维那" },
            { "s_Country_Thailand", "泰国" },
            { "s_Country_Zimbabwe", "津巴布韦" },
            { "s_Country_Honduras", "洪都拉斯" },
            { "s_Country_Haiti", "海地" },
            { "s_Country_Australia", "澳大利亚" },
            { "s_Country_Ireland", "爱尔兰" },
            { "s_Country_Estonia", "爱沙尼亚" },
            { "s_Country_Jamaica", "牙买加" },
            { "s_Country_Bolivia", "玻利维亚" },
            { "s_Country_Sweden", "瑞典" },
            { "s_Country_Switzerland", "瑞士" },
            { "s_Country_ReunionIsland", "留尼汪岛" },
            { "s_Country_Belarus", "白俄罗斯" },
            { "s_Country_Bermuda", "百慕大" },
            { "s_Country_Gibraltar", "直布罗陀" },
            { "s_Country_Kuwait", "科威特" },
            { "s_Country_Peru", "秘鲁" },
            { "s_Country_Tunisia", "突尼斯" },
            { "s_Country_Lithuania", "立陶宛" },
            { "s_Country_Somalia", "索马里" },
            { "s_Country_Jordan", "约旦" },
            { "s_Country_Namibia", "纳米比亚" },
            { "s_Country_BurmaMyanmar", "缅甸" },
            { "s_Country_Romania", "罗马尼亚" },
            { "s_Country_UnitedStates", "美国" },
            { "s_Country_Laos", "老挝" },
            { "s_Country_Kenya", "肯尼亚" },
            { "s_Country_Finland", "芬兰" },
            { "s_Country_Sudan", "苏丹" },
            { "s_Country_Scotland", "苏格兰" },
            { "s_Country_Surinam", "苏里南" },
            { "s_Country_UnitedKingdom", "英国" },
            { "s_Country_Netherlands", "荷兰" },
            { "s_Country_Mozambique", "莫桑比克" },
            { "s_Country_Lesotho", "莱索托" },
            { "s_Country_Philippines", "菲律宾" },
            { "s_Country_ElSalvador", "萨尔瓦多" },
            { "s_Country_Portugal", "葡萄牙" },
            { "s_Country_Mongolia", "蒙古" },
            { "s_Country_Spain", "西班牙" },
            { "s_Country_IvoryCoast", "象牙海岸" },
            { "s_Country_Benin", "贝宁" },
            { "s_Country_Zambia", "赞比亚" },
            { "s_Country_EquatorialGuinea", "赤道几内亚" },
            { "s_Country_Vietnam", "越南" },
            { "s_Country_Azerbaijan", "阿塞拜疆" },
            { "s_Country_Afghanistan", "阿富汗" },
            { "s_Country_Algeria", "阿尔及利亚" },
            { "s_Country_Albania", "阿尔巴尼亚" },
            { "s_Country_UnitedArabEmirates", "阿拉伯联合酋长国" },
            { "s_Country_Oman", "阿曼" },
            { "s_Country_Argentina", "阿根廷" },
            { "s_Country_Aruba", "阿鲁巴" },
            { "s_Country_SouthKorea", "韩国" },
            { "s_Country_Macedonia", "马其顿" },
            { "s_Country_Maldives", "马尔代夫" },
            { "s_Country_Malawi", "马拉维" },
            { "s_Country_Malaysia", "马来西亚" },
            { "s_Country_Malta", "马耳他" },
            { "s_Country_Madagascar", "马达加斯加" },
            { "s_Country_Mali", "马里" },
            { "s_Country_Lebanon", "黎巴嫩" },

            { "s_Language_Esperanto", "世界语 (Esperanto)" },
            { "s_Language_ChineseOther", "中文（其他）" },
            { "s_Language_ChineseCantonese", "中文（广东话）" },
            { "s_Language_ChineseMandarin", "中文（普通话）" },
            { "s_Language_Danish", "丹麦语" },
            { "s_Language_Ukrainian", "乌克兰语" },
            { "s_Language_Uzbek", "乌兹别克语" },
            { "s_Language_Urdu", "乌尔都语" },
            { "s_Language_Armenian", "亚美尼亚语" },
            { "s_Language_Russian", "俄语" },
            { "s_Language_Bulgarian", "保加利亚语" },
            { "s_Language_CreoleGerman", "克利奥尔语（德语）" },
            { "s_Language_CreoleFrench", "克利奥尔语（法语）" },
            { "s_Language_CreoleEnglish", "克利奥尔语（英语）" },
            { "s_Language_CreoleDutch", "克利奥尔语（荷兰语）" },
            { "s_Language_CreolePortuguese", "克利奥尔语（葡萄牙语）" },
            { "s_Language_CreoleSpanish", "克利奥尔语（西班牙语）" },
            { "s_Language_Croatian", "克罗地亚语" },
            { "s_Language_Icelandic", "冰岛语" },
            { "s_Language_Galician", "加利西亚语" },
            { "s_Language_Catalan", "加泰罗尼亚语" },
            { "s_Language_Hungarian", "匈牙利语" },
            { "s_Language_Afrikaans", "南非语" },
            { "s_Language_Kannada", "卡纳达语" },
            { "s_Language_Luxembourgian", "卢森堡语" },
            { "s_Language_Indonesian", "印度尼西亚语" },
            { "s_Language_Hindi", "印度语" },
            { "s_Language_Gujarati", "古吉拉特语" },
            { "s_Language_Kyrgyz", "吉尔吉斯语" },
            { "s_Language_Kazakh", "哈萨克语" },
            { "s_Language_Kalaallisut", "喀拉哈里语" },
            { "s_Language_Turkmen", "土库曼语" },
            { "s_Language_Turkish", "土耳其语" },
            { "s_Language_Tagalog", "塔加路语" },
            { "s_Language_Serbian", "塞尔维亚语" },
            { "s_Language_Hawaiian", "夏威夷语" },
            { "s_Language_Oriya", "奥里雅语" },
            { "s_Language_Welsh", "威尔士语" },
            { "s_Language_Bengali", "孟加拉语" },
            { "s_Language_Hakka", "客家话" },
            { "s_Language_Nepali", "尼泊尔语" },
            { "s_Language_Basque", "巴斯克语" },
            { "s_Language_Breton", "布里多尼语" },
            { "s_Language_Hebrew", "希伯来语" },
            { "s_Language_Greek", "希腊语" },
            { "s_Language_Kurdish", "库尔德语" },
            { "s_Language_German", "德语" },
            { "s_Language_Italian", "意大利语" },
            { "s_Language_Yiddish", "意第绪语" },
            { "s_Language_Latin", "拉丁语" },
            { "s_Language_Ladino", "拉地诺语" },
            { "s_Language_Latvian", "拉脱维亚语" },
            { "s_Language_Norwegian", "挪威语" },
            { "s_Language_Czech", "捷克语" },
            { "s_Language_Fijian", "斐济语" },
            { "s_Language_Slovak", "斯洛伐克语" },
            { "s_Language_Slovenian", "斯洛文尼亚语" },
            { "s_Language_Swahili", "斯瓦希里语" },
            { "s_Language_Punjabi", "旁遮普语" },
            { "s_Language_Japanese", "日语" },
            { "s_Language_Pashto", "普什图语" },
            { "s_Language_Berber", "柏柏尔语" },
            { "s_Language_Cambodian", "柬埔寨语" },
            { "s_Language_Georgian", "格鲁吉亚语" },
            { "s_Language_Bichelama", "比斯拉马语" },
            { "s_Language_Wolof", "沃洛夫语" },
            { "s_Language_French", "法语" },
            { "s_Language_Polish", "波兰语" },
            { "s_Language_Bosnian", "波斯尼亚语" },
            { "s_Language_PersianFarsi", "波斯语（法尔西语）" },
            { "s_Language_PersianDari", "波斯语（达里语)" },
            { "s_Language_Telugu", "泰卢固语" },
            { "s_Language_Tamil", "泰米尔语" },
            { "s_Language_Thai", "泰语" },
            { "s_Language_Javanese", "爪哇语" },
            { "s_Language_Estonian", "爱沙尼亚语" },
            { "s_Language_Swedish", "瑞典语" },
            { "s_Language_Guarani", "瓜拉尼语" },
            { "s_Language_Belorussian", "白俄罗斯语" },
            { "s_Language_Quechua", "盖丘亚语" },
            { "s_Language_Irish", "盖尔语（爱尔兰）" },
            { "s_Language_Scottish", "盖尔语（苏格兰）" },
            { "s_Language_Corsican", "科西嘉语" },
            { "s_Language_Lithuanian", "立陶宛语" },
            { "s_Language_Somali", "索马里语" },
            { "s_Language_Uyghur", "维吾尔语" },
            { "s_Language_Burmese", "缅甸语" },
            { "s_Language_Romanian", "罗马尼亚语" },
            { "s_Language_Laotian", "老挝语" },
            { "s_Language_Finnish", "芬兰语" },
            { "s_Language_English", "英语" },
            { "s_Language_Dutch", "荷兰语" },
            { "s_Language_Portuguese", "葡萄牙语" },
            { "s_Language_Mongolian", "蒙古语" },
            { "s_Language_Tibetan", "藏文" },
            { "s_Language_Spanish", "西班牙语" },
            { "s_Language_Vietnamese", "越南语" },
            { "s_Language_Azerbaijani", "阿塞拜疆语" },
            { "s_Language_Amharic", "阿姆哈拉语" },
            { "s_Language_Albanian", "阿尔巴尼亚语" },
            { "s_Language_Arabic", "阿拉伯语" },
            { "s_Language_ArabicOther", "阿拉伯语（其他）" },
            { "s_Language_ArabicEgyptian", "阿拉伯语（埃及）" },
            { "s_Language_Assamese", "阿萨姆语" },
            { "s_Language_Korean", "韩语" },
            { "s_Language_Macedonian", "马其顿语" },
            { "s_Language_Manx", "马恩岛语" },
            { "s_Language_Marathi", "马拉地语" },
            { "s_Language_Malayalam", "马拉雅拉姆语" },
            { "s_Language_Malay", "马来西亚语" },
            { "s_Language_Maltese", "马耳他语" },
        };
    }

    public static class koGeneratedLanguageData
    {
        public static readonly Dictionary<string, string> Strings = new Dictionary<string, string>
        {
            { "s_YesNo_Yes", "예" },
            { "s_YesNo_No", "아니요" },

            { "s_Gender_Male", "남성" },
            { "s_Gender_Female", "여성" },

            { "s_Country_Ghana", "가나" },
            { "s_Country_Gabon", "가봉" },
            { "s_Country_Guyana", "가이아나" },
            { "s_Country_Gambia", "감비아" },
            { "s_Country_Guatemala", "과테말라" },
            { "s_Country_Georgia", "그루지야" },
            { "s_Country_Greece", "그리스" },
            { "s_Country_Guinea", "기니" },
            { "s_Country_GuineaBissau", "기니비사우" },
            { "s_Country_Namibia", "나미비아" },
            { "s_Country_Nigeria", "나이지리아" },
            { "s_Country_SouthAfrica", "남아프리카" },
            { "s_Country_Netherlands", "네덜란드" },
            { "s_Country_Nepal", "네팔" },
            { "s_Country_Norway", "노르웨이" },
            { "s_Country_NewZealand", "뉴질랜드" },
            { "s_Country_NewCaledonia", "뉴칼레도니아" },
            { "s_Country_Niger", "니제르" },
            { "s_Country_Nicaragua", "니카라과" },
            { "s_Country_Taiwan", "대만" },
            { "s_Country_SouthKorea", "대한민국" },
            { "s_Country_Denmark", "덴마크" },
            { "s_Country_DominicanRepublic", "도미니카 공화국" },
            { "s_Country_Germany", "독일" },
            { "s_Country_Laos", "라오스" },
            { "s_Country_Liberia", "라이베리아" },
            { "s_Country_Latvia", "라트비아" },
            { "s_Country_Russia", "러시아" },
            { "s_Country_Lebanon", "레바논" },
            { "s_Country_Lesotho", "레소토" },
            { "s_Country_Romania", "루마니아" },
            { "s_Country_Luxembourg", "룩셈부르크" },
            { "s_Country_Rwanda", "르완다" },
            { "s_Country_Libya", "리비아" },
            { "s_Country_ReunionIsland", "리유니언" },
            { "s_Country_Lithuania", "리투아니아" },
            { "s_Country_Liechtenstein", "리히텐슈타인" },
            { "s_Country_Madagascar", "마다가스카르" },
            { "s_Country_Macedonia", "마케도니아" },
            { "s_Country_Malawi", "말라위" },
            { "s_Country_Malaysia", "말레이시아" },
            { "s_Country_Mali", "말리" },
            { "s_Country_Mexico", "멕시코" },
            { "s_Country_Monaco", "모나코" },
            { "s_Country_Morocco", "모로코" },
            { "s_Country_Mauritius", "모리셔스" },
            { "s_Country_Mauritania", "모리타니" },
            { "s_Country_Mozambique", "모잠비크" },
            { "s_Country_Moldova", "몰도바" },
            { "s_Country_Maldives", "몰디브" },
            { "s_Country_Malta", "몰타" },
            { "s_Country_Mongolia", "몽골" },
            { "s_Country_UnitedStates", "미국" },
            { "s_Country_Bahrain", "바레인" },
            { "s_Country_Barbados", "바베이도스" },
            { "s_Country_Bahamas", "바하마" },
            { "s_Country_Bangladesh", "방글라데시" },
            { "s_Country_BurmaMyanmar", "버마(미얀마)" },
            { "s_Country_Bermuda", "버뮤다" },
            { "s_Country_Venezuela", "베네수엘라" },
            { "s_Country_Benin", "베닌" },
            { "s_Country_Vietnam", "베트남" },
            { "s_Country_Belgium", "벨기에" },
            { "s_Country_Belarus", "벨라루스" },
            { "s_Country_Belize", "벨리즈" },
            { "s_Country_BosniaHerzegovina", "보스니아 헤르체고비나" },
            { "s_Country_Botswana", "보츠와나" },
            { "s_Country_Bolivia", "볼리비아" },
            { "s_Country_Burundi", "부룬디" },
            { "s_Country_BurkinaFaso", "부르키나 파소" },
            { "s_Country_NorthKorea", "북한" },
            { "s_Country_Bulgaria", "불가리아" },
            { "s_Country_Brazil", "브라질" },
            { "s_Country_Brunei", "브루나이" },
            { "s_Country_SaudiArabia", "사우디아라비아" },
            { "s_Country_Cyprus", "사이프러스" },
            { "s_Country_Senegal", "세네갈" },
            { "s_Country_Somalia", "소말리아" },
            { "s_Country_Sudan", "수단" },
            { "s_Country_Surinam", "수리남" },
            { "s_Country_SriLanka", "스리랑카" },
            { "s_Country_Swaziland", "스와질란드" },
            { "s_Country_Sweden", "스웨덴" },
            { "s_Country_Switzerland", "스위스" },
            { "s_Country_Scotland", "스코틀랜드" },
            { "s_Country_Spain", "스페인" },
            { "s_Country_Slovakia", "슬로바키아" },
            { "s_Country_Slovenia", "슬로베니아" },
            { "s_Country_Syria", "시리아" },
            { "s_Country_SierraLeone", "시에라리온" },
            { "s_Country_Singapore", "싱가포르" },
            { "s_Country_UnitedArabEmirates", "아랍에미리트" },
            { "s_Country_Aruba", "아루바" },
            { "s_Country_Armenia", "아르메니아" },
            { "s_Country_Argentina", "아르헨티나" },
            { "s_Country_Iceland", "아이슬란드" },
            { "s_Country_Haiti", "아이티" },
            { "s_Country_Ireland", "아일랜드" },
            { "s_Country_Azerbaijan", "아제르바이잔" },
            { "s_Country_Afghanistan", "아프카니스탄" },
            { "s_Country_Andorra", "안도라" },
            { "s_Country_Albania", "알바니아" },
            { "s_Country_Algeria", "알제리" },
            { "s_Country_Angola", "앙골라" },
            { "s_Country_Estonia", "에스토니아" },
            { "s_Country_Ecuador", "에콰도르" },
            { "s_Country_Ethiopia", "에티오피아" },
            { "s_Country_ElSalvador", "엘살바도르" },
            { "s_Country_UnitedKingdom", "영국" },
            { "s_Country_Yemen", "예멘" },
            { "s_Country_Oman", "오만" },
            { "s_Country_Austria", "오스트리아" },
            { "s_Country_Honduras", "온두라스" },
            { "s_Country_Jordan", "요르단" },
            { "s_Country_Uganda", "우간다" },
            { "s_Country_Uruguay", "우루과이" },
            { "s_Country_Uzbekistan", "우즈베키스탄" },
            { "s_Country_Ukraine", "우크라이나" },
            { "s_Country_Yugoslavia", "유고슬라비아" },
            { "s_Country_Iraq", "이라크" },
            { "s_Country_Iran", "이란" },
            { "s_Country_Israel", "이스라엘" },
            { "s_Country_Egypt", "이집트" },
            { "s_Country_Italy", "이탈리아" },
            { "s_Country_India", "인도" },
            { "s_Country_Indonesia", "인도네시아" },
            { "s_Country_Japan", "일본" },
            { "s_Country_Jamaica", "자메이카" },
            { "s_Country_Zambia", "잠비아" },
            { "s_Country_EquatorialGuinea", "적도 기니" },
            { "s_Country_China", "중국" },
            { "s_Country_CentralAfricanRepublic", "중앙 아프리카" },
            { "s_Country_Djibouti", "지부티" },
            { "s_Country_Gibraltar", "지브랄타" },
            { "s_Country_Zimbabwe", "짐바브웨" },
            { "s_Country_Chad", "차드" },
            { "s_Country_CzechRepublic", "체코" },
            { "s_Country_Chile", "칠레" },
            { "s_Country_CanaryIslands", "카나리아 제도" },
            { "s_Country_Cameroon", "카메룬" },
            { "s_Country_Kazakhstan", "카자흐스탄" },
            { "s_Country_Qatar", "카타르" },
            { "s_Country_Cambodia", "캄보디아" },
            { "s_Country_Canada", "캐나다" },
            { "s_Country_Kenya", "케냐" },
            { "s_Country_CaymanIslands", "케이맨 제도" },
            { "s_Country_CostaRica", "코스타리카" },
            { "s_Country_IvoryCoast", "코트디부아르" },
            { "s_Country_Colombia", "콜롬비아" },
            { "s_Country_Congo", "콩고" },
            { "s_Country_Cuba", "쿠바" },
            { "s_Country_Kuwait", "쿠웨이트" },
            { "s_Country_Croatia", "크로아티아" },
            { "s_Country_Kyrgyzstan", "키르기스스탄" },
            { "s_Country_Tajikistan", "타지키스탄" },
            { "s_Country_Tanzania", "탄자니아" },
            { "s_Country_Thailand", "태국" },
            { "s_Country_Turkey", "터키" },
            { "s_Country_Togo", "토고" },
            { "s_Country_Turkmenistan", "투르크메니스탄" },
            { "s_Country_Tunisia", "튀니지" },
            { "s_Country_Panama", "파나마" },
            { "s_Country_Paraguay", "파라과이" },
            { "s_Country_Pakistan", "파키스탄" },
            { "s_Country_PapuaNewGuinea", "파푸아뉴기니" },
            { "s_Country_Peru", "페루" },
            { "s_Country_Portugal", "포르투갈" },
            { "s_Country_Poland", "폴란드" },
            { "s_Country_PuertoRico", "푸에르토리코" },
            { "s_Country_France", "프랑스" },
            { "s_Country_FrenchGuiana", "프랑스령 기아나" },
            { "s_Country_Finland", "핀란드" },
            { "s_Country_Philippines", "필리핀" },
            { "s_Country_Hungary", "헝가리" },
            { "s_Country_Australia", "호주" },
            { "s_Country_HongKong", "홍콩" },

            { "s_Language_Galician", "갈리시아어" },
            { "s_Language_Scottish", "게일어(스코틀랜드)" },
            { "s_Language_Irish", "게일어(아일랜드)" },
            { "s_Language_Guarani", "과라니어" },
            { "s_Language_Gujarati", "구자라트어" },
            { "s_Language_Georgian", "그루지야어" },
            { "s_Language_Greek", "그리스어" },
            { "s_Language_Kalaallisut", "그린란드어" },
            { "s_Language_Dutch", "네덜란드어" },
            { "s_Language_Nepali", "네팔어" },
            { "s_Language_Norwegian", "노르웨이어" },
            { "s_Language_Danish", "덴마크어" },
            { "s_Language_German", "독일어" },
            { "s_Language_Ladino", "라디노어" },
            { "s_Language_Laotian", "라오스어" },
            { "s_Language_Latvian", "라트비아어" },
            { "s_Language_Latin", "라틴어" },
            { "s_Language_Russian", "러시아어" },
            { "s_Language_Romanian", "루마니아어" },
            { "s_Language_Luxembourgian", "룩셈부르크어" },
            { "s_Language_Lithuanian", "리투아니아어" },
            { "s_Language_Marathi", "마라티어" },
            { "s_Language_Macedonian", "마케도니아어" },
            { "s_Language_Malayalam", "말라얄람어" },
            { "s_Language_Malay", "말레이어" },
            { "s_Language_Manx", "맨 섬어" },
            { "s_Language_Maltese", "몰타어" },
            { "s_Language_Mongolian", "몽골어" },
            { "s_Language_Basque", "바스크어" },
            { "s_Language_Burmese", "버마어" },
            { "s_Language_Berber", "베르베르어" },
            { "s_Language_Vietnamese", "베트남어" },
            { "s_Language_Belorussian", "벨로루시어" },
            { "s_Language_Bengali", "벵골어" },
            { "s_Language_Bosnian", "보스니아어" },
            { "s_Language_Bulgarian", "불가리아어" },
            { "s_Language_Breton", "브르타뉴어" },
            { "s_Language_Bichelama", "비슬라마어" },
            { "s_Language_Serbian", "세르비아어" },
            { "s_Language_Somali", "소말리아어" },
            { "s_Language_Swahili", "스와힐리어" },
            { "s_Language_Swedish", "스웨덴어" },
            { "s_Language_Spanish", "스페인어" },
            { "s_Language_Slovak", "슬로바키아어" },
            { "s_Language_Slovenian", "슬로베니아어" },
            { "s_Language_Arabic", "아랍어" },
            { "s_Language_ArabicOther", "아랍어(기타)" },
            { "s_Language_ArabicEgyptian", "아랍어(이집트)" },
            { "s_Language_Armenian", "아르메니아어" },
            { "s_Language_Assamese", "아샘어" },
            { "s_Language_Icelandic", "아이슬란드어" },
            { "s_Language_Azerbaijani", "아제르바이잔어" },
            { "s_Language_Afrikaans", "아프리칸스어" },
            { "s_Language_Albanian", "알바니아어" },
            { "s_Language_Amharic", "암하라어" },
            { "s_Language_Estonian", "에스토니아어" },
            { "s_Language_Esperanto", "에스페란토" },
            { "s_Language_English", "영어" },
            { "s_Language_Oriya", "오리야어" },
            { "s_Language_Wolof", "올로프어" },
            { "s_Language_Urdu", "우르두어" },
            { "s_Language_Uzbek", "우즈베크어" },
            { "s_Language_Ukrainian", "우크라이나어" },
            { "s_Language_Welsh", "웨일스어" },
            { "s_Language_Uyghur", "위구르어" },
            { "s_Language_Yiddish", "이디시어" },
            { "s_Language_Italian", "이탈리아어" },
            { "s_Language_Indonesian", "인도네시아어" },
            { "s_Language_Japanese", "일본어" },
            { "s_Language_Javanese", "자바어" },
            { "s_Language_ChineseCantonese", "중국어(광동어)" },
            { "s_Language_ChineseOther", "중국어(기타)" },
            { "s_Language_ChineseMandarin", "중국어(표준어)" },
            { "s_Language_Czech", "체코어" },
            { "s_Language_Kazakh", "카자흐어" },
            { "s_Language_Catalan", "카탈로니아어" },
            { "s_Language_Kannada", "칸나다어" },
            { "s_Language_Cambodian", "캄보디아어" },
            { "s_Language_Quechua", "케추아어" },
            { "s_Language_Corsican", "코르시카어" },
            { "s_Language_Kurdish", "쿠르드어" },
            { "s_Language_Croatian", "크로아티아어" },
            { "s_Language_CreoleDutch", "크리올어(네덜란드어)" },
            { "s_Language_CreoleGerman", "크리올어(독일어)" },
            { "s_Language_CreoleSpanish", "크리올어(스페인어)" },
            { "s_Language_CreoleEnglish", "크리올어(영어)" },
            { "s_Language_CreolePortuguese", "크리올어(포르투갈어)" },
            { "s_Language_CreoleFrench", "크리올어(프랑스어)" },
            { "s_Language_Kyrgyz", "키르기스어" },
            { "s_Language_Tagalog", "타갈로그어" },
            { "s_Language_Tamil", "타밀어" },
            { "s_Language_Thai", "태국어" },
            { "s_Language_Turkish", "터키어" },
            { "s_Language_Telugu", "텔루구어" },
            { "s_Language_Turkmen", "투르크멘어" },
            { "s_Language_Tibetan", "티베트어" },
            { "s_Language_Pashto", "파슈토어" },
            { "s_Language_Punjabi", "펀잡어" },
            { "s_Language_PersianDari", "페르시아어(다리어)" },
            { "s_Language_PersianFarsi", "페르시아어(파시어)" },
            { "s_Language_Portuguese", "포르투갈어" },
            { "s_Language_Polish", "폴란드어" },
            { "s_Language_French", "프랑스어" },
            { "s_Language_Fijian", "피지어" },
            { "s_Language_Finnish", "핀란드어" },
            { "s_Language_Hawaiian", "하와이어" },
            { "s_Language_Hakka", "하카어" },
            { "s_Language_Korean", "한국어" },
            { "s_Language_Hungarian", "헝가리어" },
            { "s_Language_Hebrew", "히브리어" },
            { "s_Language_Hindi", "힌두어" },
        };
    }
}
